/*!
*****************************************************************************
**
** \file        ./sample_application/fapex_av_demo/src/audio.h
** 
** \version     $Id$
**
** \brief       AUDIO Processor.
**
** This file contains the declaration of the AUDIO Processor API. It initializes
** and configures the audio decoder(s) and audio output unit including all
** buffers. Furthermore it provides a simple API to start/stop and run the
** audio decoder.
**
** \attention   THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2006-2010 by Fujitsu Semiconductor Europe GmbH
** (C) Copyright 2008-2010 by Fujitsu Semiconductor Limited
**
*****************************************************************************
*/

#ifndef AUDIO_H
    #define AUDIO_H

    //***********************************************************************
    //***********************************************************************
    //** Defines and Macros
    //***********************************************************************
    //***********************************************************************



    //***********************************************************************
    //***********************************************************************
    //** Data types
    //***********************************************************************
    //***********************************************************************


    //***********************************************************************
    //***********************************************************************
    //** Global Data
    //***********************************************************************
    //***********************************************************************


    //***********************************************************************
    //***********************************************************************
    //** API Functions
    //***********************************************************************
    //***********************************************************************

    #ifdef __cplusplus
    extern "C" {
    #endif
    int32_t  AUDIO_Open(void);
    int32_t  AUDIO_Close(void);
    int32_t  AUDIO_Start(uint32_t pid,  uint32_t pcr_flag, uint32_t audio_stream_type);
    int32_t  AUDIO_Stop(void);
    void     AUDIO_Volume(int32_t percent);
    void     AUDIO_Mute(void);
    void     AUDIO_SetOutputDelay(int32_t delay);
    int32_t  AUDIO_GetBufferSize(void);
    int32_t  AUDIO_GetBufferLevel(void);
    int32_t  AUDIO_GetIdAudec(void);
    int32_t  AUDIO_GetIdAuout(void);

    #ifdef __cplusplus
    }
    #endif
#endif
