/*!
*****************************************************************************
**
** \file        ./sample_application/fapex_bd_demo/src/demo_app.h
** 
** \version     $Id$
**
** \brief       providing thread control flags
**
** This file contains the declaration of the teletext driver API.
**
** \attention   THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2010 by Fujitsu Semiconductor Limited
**
*****************************************************************************
*/

#ifndef DEMO_APP_H
#define DEMO_APP_H

    //***********************************************************************
    //***********************************************************************
    //** Defines and Macros
    //***********************************************************************
    //***********************************************************************
    #define APP_THREAD_STATUS_DISABLE     -1
    #define APP_THREAD_STATUS_CREATED   0x00
    #define APP_THREAD_STATUS_OPENED    0x10
    #define APP_THREAD_STATUS_READY     0x20
    #define APP_THREAD_STATUS_STARTED   0x30
    #define APP_THREAD_STATUS_SUSPENDED 0x01

    //***********************************************************************
    //***********************************************************************
    //** Data types
    //***********************************************************************
    //***********************************************************************
    typedef struct {
        FAPEX_SYS_SemaphoreT  sem;
        int32_t               value;
    } APP_ThreadStatus;

    //***********************************************************************
    //***********************************************************************
    //** API Functions
    //***********************************************************************
    //***********************************************************************

    #ifdef __cplusplus
    extern "C" {
    #endif

    void    APP_ThreadStatus_Init(APP_ThreadStatus *status);
    void    APP_ThreadStatus_Exit(APP_ThreadStatus *status);
    void    APP_ThreadStatus_Lock(APP_ThreadStatus *status);
    void    APP_ThreadStatus_Unlock(APP_ThreadStatus *status);
    void    APP_ThreadStatus_SetValue(APP_ThreadStatus *status, int32_t value);

    #ifdef __cplusplus
    }
    #endif
#endif
