/*!
*****************************************************************************
**
** \file        ./applications/av_demo/src/frontend.h
** 
** \version     $Id: frontend.h 5874 2010-03-02 14:42:55Z wlaris $
**
** \brief       FE Driver.
**
** This file contains the declaration of the TSD driver API.
**
** \attention   THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2006-2010 by Fujitsu Semiconductor Europe GmbH
**
*****************************************************************************
*/

#ifndef FE_H
#define FE_H

#include <fapex/abst_types.h>
#include <fe/fe.h>

void             FRONTEND_Init(void);
FE_SYSTEM_TYPE_E FRONTEND_GetDeliveryType(void);
int32_t          FRONTEND_GetNumberOfTransportStreams(void);
int32_t          FRONTEND_Open(uint32_t slotNumber);
int32_t          FRONTEND_SetSatParmeters(FE_SYSTEM_PARAMS_S *sys_params);
int32_t          FRONTEND_SetDefaultTuneParmeters(int32_t index, FE_TUNE_PARAMS_S *tune_params);
int32_t          FRONTEND_Tune(FE_TUNE_PARAMS_S *tune_params);

#endif
