/*!
*****************************************************************************
**
** \file        ./sample_application/fapex_av_demo_fs/src/gui.h
** 
** \version     $Id$
**
** \brief       GUI with GTK+.
**
** \attention   THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2009-2010 by Fujitsu Semiconductor Limited
**
*****************************************************************************
*/

#ifndef GUI_H
    #define GUI_H

    //***********************************************************************
    //***********************************************************************
    //** Defines and Macros
    //***********************************************************************
    //***********************************************************************


    //***********************************************************************
    //***********************************************************************
    //** Data types
    //***********************************************************************
    //***********************************************************************
    typedef struct
    {
        uint32_t (*playbackStart)(int32_t argc, char_t* argv[]);
        uint32_t (*playbackStop) (int32_t argc, char_t* argv[]);

        uint64_t (*getFileReadPosition)(void);
        uint64_t (*getTimeStamp)(void);

    } GUI_CallbackFuncs_T;

    //***********************************************************************
    //***********************************************************************
    //** Global Data
    //***********************************************************************
    //***********************************************************************


    //***********************************************************************
    //***********************************************************************
    //** API Functions
    //***********************************************************************
    //***********************************************************************

    #ifdef __cplusplus
    extern "C" {
    #endif

    int     GUI_Open(GUI_CallbackFuncs_T *funcs, const char_t *pathname);
    void    GUI_Close(void);
    void    GUI_SetPlaybackMode(VAL_EnvironmentT mode);
    void    GUI_SetServiceInfo(SERVICELIST_ServiceInfo_T *servicePtr);
    void    GUI_SetVidecId(int32_t id);
    void    GUI_SetAuoutId(int32_t id);
    void    GUI_SetPlaybackStart(void);
    void    GUI_SetRunningCancel(void);
    void    GUI_SetVideoFrameParameter(FAPEX_VIDEC_DecFrameInfoStrT *info);
    void    GUI_RemoteControl(uint32_t code);
    void    GUI_SetWarning(const char_t *str);

    #ifdef __cplusplus
    }
    #endif
#endif
