/*
*****************************************************************************
**
** \file        ./sample_application/fapex_av_demo/src/hdmi_cec.h
** 
** \version     $Id$
**
** \brief       HDMI-CEC related function implementations.
**
** \attention   THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2008-2010 by Fujitsu Semiconductor Europe GmbH
** (C) Copyright 2008-2010 by Fujitsu Semiconductor Limited
**
*****************************************************************************/

#ifndef HDMI_CEC_H
    #define HDMI_CEC_H

    //***********************************************************************
    //***********************************************************************
    //** Defines and Macros
    //***********************************************************************
    //***********************************************************************


    //***********************************************************************
    //***********************************************************************
    //** Data types
    //***********************************************************************
    //***********************************************************************


    //***********************************************************************
    //***********************************************************************
    //** Global Data
    //***********************************************************************
    //***********************************************************************


    //***********************************************************************
    //***********************************************************************
    //** API Functions
    //***********************************************************************
    //***********************************************************************

    #ifdef __cplusplus
    extern "C" {
    #endif

    int32_t  HDMI_Open(void);
    int32_t  HDMI_Close(void);
    int32_t  HDMI_Exit(void);
    int32_t  HDMI_ReadEDID(void);
    int32_t  HDMI_GetPhysicalAddressInEDID(uint8_t *UpperPhysAddr, uint8_t *LowerPhysAddr);
    int32_t  HDMI_CheckHPD(void);
    void     HDMI_CEC_ControlSendMessage(void);
    int32_t  HDMI_CEC_ControlRecMessage(uint32_t* pRecMessage, uint32_t* pRecInitiator, uint32_t* pMessageType);
    void     HDMI_CEC_CallBack1(uint64_t value,uint32_t optData);
    void     HDMI_CEC_CallBack2(uint64_t value,uint32_t optData);
    uint32_t HDMI_CEC_CheckSendStatus(void);
    uint32_t HDMI_CEC_CheckReceiveStatus(void);
    int32_t  HDMI_CEC_GetMsg(uint32_t* pRecInitiator, uint32_t* pRecMessage, uint32_t* pRemainRecMsg, uint32_t* pMessageType);
    int32_t  HDMI_CEC_DeviceInstrationAndAddressing(void);
    int32_t  HDMI_CEC_Communication(void);
    int32_t  HDMI_CEC_SendOrReceiveMessage(int32_t message, int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_CheckIntigrityOfMessage(uint32_t message, uint32_t MessageType);
    int32_t  HDMI_CEC_ReceivingMessage(void);
    int32_t  HDMI_CEC_SetLogicalAddress(int32_t MyDevLogicalAddr);
    uint32_t HDMI_CEC_GetLogicalAddress(void);
    void     HDMI_CEC_SetCecMessageParameters( uint32_t opcodeName, uint8_t cecparambuf[]);
    int32_t  HDMI_CEC_SendMessage_Standby(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_GiveTunerDeviceStatus(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_SelectAnalogueService(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_SelectDigitalService(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_TunerDeviceStatus(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_TunerStepDecrement(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_TunerStepIncrement(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_SetOSDString(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_MenuRequest(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_MenuStatus(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_UserControlPressed(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_UserControlReleased(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_GiveDevicePowerStatus(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_ReportPowerStatus(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_CECVersion(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_GetCECVersion(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_GivePhysicalAddress(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_GetMenuLanguage(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_ReportPhysicalAddress(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr, uint8_t UpperPhysAddr, uint8_t LowerPhysAddr);
    int32_t  HDMI_CEC_SendMessage_SetMenuLanguage(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_FeatureAbort(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_Abort(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_ImageViewOn(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_TextViewOn(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_ActiveSource(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr, uint8_t UpperPhysAddr, uint8_t LowerPhysAddr);
    int32_t  HDMI_CEC_SendMessage_InactiveSource(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_RequestActiveSource(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_RoutingChange(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_RoutingInformation(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_SetStreamPath(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr);
    int32_t  HDMI_CEC_SendMessage_PollingMessage(int32_t send_flag, int32_t rec_flag, uint32_t InitiatorLogicalAddr, uint32_t FollowerLogicalAddr, uint32_t *ack);
    int32_t  HDMI_CEC_AllocateLogicalAddress(void);
    int32_t  HDMI_Task(void);
    void     HDMI_GetDelay(int32_t* delay, int32_t* interlaced_delay);

    #ifdef __cplusplus
    }
    #endif
#endif
