
#ifndef _PVR_M_H_
#define _PVR_M_H_

#include "val/val.h"


typedef struct
{
    VAL_PlayModeEnumT   videoMode;
    uint32_t            iFrameDisplayTime;  //!< For PVR_FASTMODETYPE_IFRAMES
                                            //!< and PVR_FASTMODETYPE_FEED_CONTROLLED.
    int32_t             factor;             //!< For PVR_FASTMODETYPE_IFRAMES
                                            //!< and PVR_FASTMODETYPE_FEED_CONTROLLED
                                            //!< and PVR_FASTMODETYPE_FEED_NONE.
    uint16_t            speedFactor;        //!< Informational use only.
    
} PVRSYS_FastModeCfgT;

typedef struct
{
    VAL_PlayModeEnumT   videoMode;
    uint16_t            speedFactor;        //!< Informational use only.
    
} PVRSYS_SlowModeCfgT;


int32_t
PVRSYS_Init(void);

int32_t 
PVRSYS_GetSlowModeConfig (uint16_t index, PVRSYS_SlowModeCfgT* cfgPtr);
int32_t 
PVRSYS_GetFastModeConfig (uint16_t index, PVRSYS_FastModeCfgT* cfgPtr);

int32_t 
PVRSYS_PlaySpeedToFastModeIdx (FAPEX_SYS_HandleT playHandle,
                                         int16_t speedIndex,
                                         uint8_t* pModeIndex);
int32_t 
PVRSYS_PlayFastModeIdxToSpeed (uint8_t modeIndex, int16_t* pSpeed);

uint16_t 
PVRSYS_PlayGetFastSpeedFactor (uint8_t modeIndex);

uint16_t 
PVRSYS_PlayGetSlowSpeedFactor (uint8_t modeIndex);
#endif