/*!
*****************************************************************************
**
** \file        ./sample_application/fapex_av_demo/src/scan.h
**
** \version     $Id$
**
** \brief       transport stream scan.
**
** This file contains the declaration of the scan driver API. It initializes
** and configures TSD including all related buffers. Furthermore it provides
** a simple API to start/stop transport stream scan.
**
** \attention   THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2006-2010 by Fujitsu Semiconductor Europe GmbH
** (C) Copyright 2008-2010 by Fujitsu Semiconductor Limited
**
*****************************************************************************
*/

#ifndef SCAN_H
    #define SCAN_H

    //***********************************************************************
    //***********************************************************************
    //** Defines and Macros
    //***********************************************************************
    //***********************************************************************
    /* channel ID assignment */
    #define PAT_CHANNEL_ID      10
    #define PMT_CHANNEL_ID      11
    #define SDT_CHANNEL_ID      13

    /* buffers for section data */
    #define PAT_BUFFER_SIZE      0x00001000 /* PAT buffer size */
    #define PMT_BUFFER_SIZE      0x00001000 /* PMT buffer size */
    #define SDT_BUFFER_SIZE      0x00004000 /* SDT buffer size */

    //***********************************************************************
    //***********************************************************************
    //** Data types
    //***********************************************************************
    //***********************************************************************


    //***********************************************************************
    //***********************************************************************
    //** Global Data
    //***********************************************************************
    //***********************************************************************


    //***********************************************************************
    //***********************************************************************
    //** API Functions
    //***********************************************************************
    //***********************************************************************

    #ifdef __cplusplus
    extern "C" {
    #endif

    void    SCAN_Start(int32_t trpListIndex);
    void    SCAN_Stop(void);
    int32_t SCAN_Task(void);

    #ifdef __cplusplus
    }
    #endif
#endif


