/******************************************************************************
**
** \file      ./subsystems/fe/mb86668/src/mb86668_demod_reg.h
**
** \brief     demodulator register definitions for MB86668.
**
**            (C) Fujitsu Semiconductor Europe 2002 - 2007
**
** \attention THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**            ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**            OMMISSIONS.
**
** \version   \$Id: mb86668_demod_reg.h 1911 2009-02-02 10:17:47Z wlaris $
**
******************************************************************************/

#ifndef _FD_MB86668_DEMOD_REG_H_
#define _FD_MB86668_DEMOD_REG_H_ 1

// i2c sub registers
#define R_ADCINI            0x9f 

#define R_AGCENA            0xB0
#define R_AGC_AUTO          0xB1

#define R_IF_REF_L          0xB2
#define R_IF_REF_M          0xB3
#define R_RF_REF_L          0xB4
#define R_RF_REF_M          0xB5
#define R_IF_LIM_L1         0xB6
#define R_IF_LIM_L2         0xB7
#define R_IF_LIM_H1         0xB8
#define R_IF_LIM_H2         0xB9
#define R_RF_LIM_L1         0xBA
#define R_RF_LIM_L2         0xBB
#define R_RF_LIM_H1         0xBC
#define R_RF_LIM_H2         0xBD
#define R_ALPHA1            0xBE
#define R_ALPHA2            0xBF
#define R_ALPHA3            0xC0
#define R_FIL1_SFT          0xC1
#define R_FIL23_SFT         0xC2
#define R_SINGLE            0xC6
#define R_AGC_GAIN          0xC5

#define R_TSOUT             0x88
#define R_FRAMESET          0x8A
#define R_FSYNC             0x8F

#define R_BERMSET           0x90
#define R_BER_LSB           0x92
#define R_BER_MID           0x93
#define R_BER_MSB           0x94

#define R_TUNERI2C          0x9b

#define R_CORDECI1          0x35
#define R_CORDECI2          0x36
#define R_LEVA              0x6F
#define R_LEVA2             0x70
#define R_DEVLE0            0x71
#define R_QAM               0x7e

#define R_FNCO1             0x16
#define R_FNCO2             0x17

#define R_DECI              0x1B
#define R_INTERPOFS11       0x20
#define R_INTERPOFS12       0x21
#define R_INTERPOFS13       0x22
#define R_INTERPOFS21       0x23
#define R_INTERPOFS22       0x24
#define R_INTERPOFS23       0x25

#define R_CNMON1            0x97
#define R_CNMON2            0x98

#define R_IF_LEVEL_L        0xCF
#define R_IF_LEVEL_H        0xD0
#define R_IF_AGC_MON_L      0xD1
#define R_IF_AGC_MON_H      0xD2
#define R_RF_AGC_MON_L      0xD3
#define R_RF_AGC_MON_H      0xD4

#define R_CRACCLIM          0x41
#define R_STRACCLIM_L       0x61
#define R_STRACCLIM_H       0x62

#define R_QAM_RST           0x95
#define R_STRSW2            0x4F

#define R_CRM1              0x44
#define R_CRM2              0x45
#define R_CRM3              0x46

#define R_VERSION           0xFF

#endif // _FD_MB86668_DEMOD_REG_H_
