/******************************************************************************
**
** \file      ./subsystems/fe/mb86668/src/mb86668_fe_tools.h
**
** \brief     Public functions of MB86667 driver.
**
**            (C) Fujitsu Semiconductor Europe 2002 - 2007
**
** \attention THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**            ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**            OMMISSIONS.
**
** \version   \$Id: mb86668_fe_tools.h 1911 2009-02-02 10:17:47Z wlaris $
**
******************************************************************************/

#ifndef _FD_MB86668_FE_TOOLS_H_
#define _FD_MB86668_FE_TOOLS_H_

//#define MB86668_DEBUG_PRINTS

// here you have to add the timeticks for the timeout
#define MSEC1     1
#define MSEC10     (MSEC1*10)
#define MSEC100     (MSEC1*100)
#define SEC1     (MSEC1*1000)

typedef enum
{
   ENABLETUNER1 = 0,
   ENABLETUNER2,
} GPIO_NAME_T;


void FE_Wait(uint32_t timeToWait);

FeErr TOOL_i2cCreate(void);
FeErr TOOL_i2cWrite(uint8_t i2c_address,uint8_t *data, uint32_t length);
FeErr TOOL_i2cRead(uint8_t i2c_address,uint8_t *data, uint32_t length);
FeErr TOOL_i2cDestroy(void);
int32_t  TOOL_resetFe(uint32_t resetIndex);
#define TOOL_Printf(ARGS...) FE_DPrintf(ARGS)

#endif // _FD_MB86668_FE_TOOLS_H_

