/****************************************************************************
*
*	MB86A21 Optimazed parameter for Alps TDAL
*
*  Copyright (c) 2009 Fujitsu Microelectronics 
*  All rights reserved. 
*
*  Created 03/05/2009
*
****************************************************************************/


#define MXL135RF_Tuner_Adr_DEFAULT             0xc0
#define MXL135RF_IF_freq_kHz_DEFAULT           MB86A2x_IF_FREQ_040_kHz
#define MXL135RF_MB86A2x_CH_UNIT_DEFAULT       MB86A2x_CH_UNIT_BZ
#define MXL135RF_MB86A2x_CH_DEFAULT            14
#define MXL135RF_RF_freq_kHz_DEFAULT           473143

#define MXL135RF_MB86A2x_Adr_DEFAULT           MB86A2x_DEV_ADR_20
#define MXL135RF_IQ_pol_DEFAULT                0	/* value after reset=0 */
#define MXL135RF_POWER_DOWN_DEFAULT            0
#define MXL135RF_RF_CONT_EN_DEFAULT            1

#define MXL135RF_INPUT_CLK_FREQ_kHz_DEFAULT    32000
#define MXL135RF_REFSEL_DEFAULT                MB86A2x_REFSEL_32MHz
#define MXL135RF_PLLPASS_DEFAULT               0

#define MXL135RF_RECEP_SEG_DEFAULT             MB86A2x_RECEP_SEG_B_64QAM

#define MXL135RF_MAIF_DEFAULT                  0	/* value after reset=0 */
#define MXL135RF_MARF_DEFAULT                  0	/* value after reset=0 */
#define MXL135RF_IFAGC_POL_DEFAULT             1	/* value after reset=1 */
#define MXL135RF_RFAGC_POL_DEFAULT             1	/* value after reset=1 */
#define MXL135RF_RFAGC_ON_DEFAULT              0

#define MXL135RF_VIFREF_DEFAULT                50	/* value after reset=50(d) */
#define MXL135RF_AGAIN_DEFAULT                 120	/* value after reset=120(d) */
#define MXL135RF_DTS_DEFAULT                   3	    /* value after reset=255(d) */
#define MXL135RF_IFA_DEFAULT                   53	/* value after reset=53(d) */
#define MXL135RF_IFB_DEFAULT                   3800	/* value after reset=3800(d) */
#define MXL135RF_IFAGCO_DEFAULT                0		/* value after reset=0(d) */
#define MXL135RF_MAXIFAGC_DEFAULT              255	/* value after reset=0(d) */
#define MXL135RF_IFSAMPLE_DEFAULT              100	/* value after reset=100(d) */
#define MXL135RF_OUTSAMPLE_DEFAULT             100	/* value after reset=100(d) */
#define MXL135RF_VMAIF_DEFAULT                 0		/* value after reset=0(d) */

#define MXL135RF_DRF_DEFAULT                   20000	/* value after reset=20000(d) */
#define MXL135RF_BGAIN_DEFAULT                 2		/* value after reset=20000(d) */
#define MXL135RF_RFA_DEFAULT                   34	/* value after reset=34(d) */
#define MXL135RF_RFB_DEFAULT                   3800	/* value after reset=3800(d) */
#define MXL135RF_RFAGCO_DEFAULT                0		/* value after reset=0(d) */
#define MXL135RF_MAXRFAGC_DEFAULT              255	/* value after reset=255(d) */
#define MXL135RF_VMARF_DEFAULT                 0		/* value after reset=0(d) */

#define MXL135RF_S1CNT_DEFAULT                 60	/* value after reset=0(d) */
#define MXL135RF_MULSEL_DEFAULT                2		/* value after reset=2(d) for A20S Only */

#define MXL135RF_TS_OUT_SEL_DEFAULT            MB86A2x_TS_OUT_PARALLEL
#define MXL135RF_TS_LAYER_DEFAULT              MB86A2x_TS_LAYER_ALL
#define MXL135RF_TS_CLK_DEFALT                 MB86A2x_TS_CLK_POS//MB86A2x_TS_CLK_NEG
#define MXL135RF_TS_ERR_MASK_DEFAULT           MB86A2x_TS_ERR_MASK_OFF
#define MXL135RF_TS_PARITY_DEFAULT             MB86A2x_TS_RS_PARITY_ON
#define MXL135RF_TS_SYNC_DEFAULT               MB86A2x_TS_SYNC_ON

#define MXL135RF_VBER_A_NUM_DEFAULT            0x000fff
#define MXL135RF_VBER_B_NUM_DEFAULT            0x00ffff
#define MXL135RF_VBER_C_NUM_DEFAULT            0x00ffff
#define MXL135RF_SBER_A_NUM_DEFAULT            0x0003ff
#define MXL135RF_SBER_B_NUM_DEFAULT            0x003fff
#define MXL135RF_SBER_C_NUM_DEFAULT            0x003fff
#define MXL135RF_PBER_A_NUM_DEFAULT            0x0003ff
#define MXL135RF_PBER_B_NUM_DEFAULT            0x003fff
#define MXL135RF_PBER_C_NUM_DEFAULT            0x003fff
#define MXL135RF_CN_SYMBOL_DEFAULT             0x04
#define MXL135RF_MER_SYMBOL_DEFAULT            0x04

#define MXL135RF_START_CH_DEFAULT              7
#define MXL135RF_STOP_CH_DEFAULT               69
#define MXL135RF_WAIT_CH_SCH_STAT_DEFAULT      10
#define MXL135RF_WAIT_CH_SCH_SEQ_DEFAULT       20
#define MXL135RF_SCH_LOOP_MAX_DEFAULT          50
