/****************************************************************************
*
*	MB86A21 / A20S Optimazed parameter for Thosom(NuTune)
*
*  Copyright (c) 2009 Fujitsu Microelectronics 
*  All rights reserved. 
*
*  Created 03/05/2009
*
****************************************************************************/


#define NI386X_Tuner_Adr_DEFAULT             0xc2
#define NI386X_IF_freq_kHz_DEFAULT           MB86A2x_IF_FREQ_440_kHz
#define NI386X_MB86A2x_CH_UNIT_DEFAULT       MB86A2x_CH_UNIT_JP  //MB86A2x_CH_UNIT_BZ
#define NI386X_MB86A2x_CH_DEFAULT            13
#define NI386X_RF_freq_kHz_DEFAULT           473143

#define NI386X_MB86A2x_Adr_DEFAULT           MB86A2x_DEV_ADR_20
#define NI386X_IQ_pol_DEFAULT                1	/* value after reset=0 */
#define NI386X_POWER_DOWN_DEFAULT            0
#define NI386X_RF_CONT_EN_DEFAULT            1

#define NI386X_SYS_BW_DEFAULT                MB86A2x_SYS_BW_6MHz
#define NI386X_INPUT_CLK_FREQ_kHz_DEFAULT    33338
#define NI386X_REFSEL_DEFAULT                MB86A2x_REFSEL_16MHz
#define NI386X_PLLPASS_DEFAULT               1

#define NI386X_RECEP_SEG_DEFAULT             MB86A2x_RECEP_SEG_B_64QAM

#define NI386X_MAIF_DEFAULT                  0	/* value after reset=0 */
#define NI386X_MARF_DEFAULT                  0	/* value after reset=0 */
#define NI386X_IFAGC_POL_DEFAULT             1	/* value after reset=1 */
#define NI386X_RFAGC_POL_DEFAULT             1	/* value after reset=1 */
#define NI386X_RFAGC_ON_DEFAULT              0

#define NI386X_VIFREF_DEFAULT                50	/* value after reset=50(d) */
#define NI386X_AGAIN_DEFAULT                 120	/* value after reset=120(d) */
#define NI386X_DTS_DEFAULT                   3	    /* value after reset=255(d) */
#define NI386X_IFA_DEFAULT                   53	/* value after reset=53(d) */
#define NI386X_IFB_DEFAULT                   3800	/* value after reset=3800(d) */
#define NI386X_IFAGCO_DEFAULT                0		/* value after reset=0(d) */
#define NI386X_MAXIFAGC_DEFAULT              255	/* value after reset=0(d) */
#define NI386X_IFSAMPLE_DEFAULT              100	/* value after reset=100(d) */
#define NI386X_OUTSAMPLE_DEFAULT             100	/* value after reset=100(d) */
#define NI386X_VMAIF_DEFAULT                 0		/* value after reset=0(d) */

#define NI386X_DRF_DEFAULT                   20000	/* value after reset=20000(d) */
#define NI386X_BGAIN_DEFAULT                 2		/* value after reset=20000(d) */
#define NI386X_RFA_DEFAULT                   34	/* value after reset=34(d) */
#define NI386X_RFB_DEFAULT                   3800	/* value after reset=3800(d) */
#define NI386X_RFAGCO_DEFAULT                0		/* value after reset=0(d) */
#define NI386X_MAXRFAGC_DEFAULT              255	/* value after reset=255(d) */
#define NI386X_VMARF_DEFAULT                 0		/* value after reset=0(d) */

#define NI386X_S1CNT_DEFAULT                 60	/* value after reset=0(d) */
#define NI386X_MULSEL_DEFAULT                2		/* value after reset=2(d) for A20S Only */

#define NI386X_TS_OUT_SEL_DEFAULT            MB86A2x_TS_OUT_PARALLEL
#define NI386X_TS_LAYER_DEFAULT              MB86A2x_TS_LAYER_ALL
#define NI386X_TS_CLK_DEFALT                 MB86A2x_TS_CLK_POS //MB86A2x_TS_CLK_NEG
#define NI386X_TS_ERR_MASK_DEFAULT           MB86A2x_TS_ERR_MASK_OFF
#define NI386X_TS_PARITY_DEFAULT             MB86A2x_TS_RS_PARITY_ON
#define NI386X_TS_SYNC_DEFAULT               MB86A2x_TS_SYNC_ON

#define NI386X_VBER_A_NUM_DEFAULT            0x000fff	/* value after reset=08_00_00(h) */
#define NI386X_VBER_B_NUM_DEFAULT            0x00ffff	/* value after reset=20_00_00(h) */
#define NI386X_VBER_C_NUM_DEFAULT            0x00ffff	/* value after reset=20_00_00(h) */
#define NI386X_SBER_A_NUM_DEFAULT            0x0003ff	/* value after reset=1F_FF(h) */
#define NI386X_SBER_B_NUM_DEFAULT            0x003fff	/* value after reset=1F_FF(h) */
#define NI386X_SBER_C_NUM_DEFAULT            0x003fff	/* value after reset=1F_FF(h) */
#define NI386X_PBER_A_NUM_DEFAULT            0x0003ff	/* value after reset=00_FF(h) */
#define NI386X_PBER_B_NUM_DEFAULT            0x003fff	/* value after reset=00_FF(h) */
#define NI386X_PBER_C_NUM_DEFAULT            0x003fff	/* value after reset=00_FF(h) */
#define NI386X_CN_SYMBOL_DEFAULT             0x04	/* value after reset=4(h) */
#define NI386X_MER_SYMBOL_DEFAULT            0x04	/* value after reset=7(h) */

#define NI386X_START_CH_DEFAULT              7
#define NI386X_STOP_CH_DEFAULT               69
#define NI386X_WAIT_CH_SCH_STAT_DEFAULT      10
#define NI386X_WAIT_CH_SCH_SEQ_DEFAULT       20
#define NI386X_SCH_LOOP_MAX_DEFAULT          50
