/****************************************************************************
*
*	MB86A21 / A20S Optimazed parameter for Thomson(NuTune)->TDA18211 used in
*  TW Digibest MB86H60 On-Board solution
*
*  Copyright (c) 2009 Fujitsu Microelectronics 
*  All rights reserved. 
*
*  Created 03/05/2009
*
****************************************************************************/


#define TDA18271_Tuner_Adr_DEFAULT             0xc0
#define TDA18271_IF_freq_kHz_DEFAULT           MB86A2x_IF_FREQ_040_kHz
#define TDA18271_MB86A2x_CH_UNIT_DEFAULT       MB86A2x_CH_UNIT_JP
#define TDA18271_MB86A2x_CH_DEFAULT            13
#define TDA18271_RF_freq_kHz_DEFAULT           473143

#define TDA18271_MB86A2x_Adr_DEFAULT           MB86A2x_DEV_ADR_20
#define TDA18271_IQ_pol_DEFAULT                1	/* value after reset=0 */
#define TDA18271_POWER_DOWN_DEFAULT            0
#define TDA18271_RF_CONT_EN_DEFAULT            1

#define TDA18271_SYS_BW_DEFAULT                MB86A2x_SYS_BW_6MHz
#define TDA18271_INPUT_CLK_FREQ_kHz_DEFAULT    32576
#define TDA18271_REFSEL_DEFAULT                MB86A2x_REFSEL_16MHz
#define TDA18271_PLLPASS_DEFAULT               1

#define TDA18271_RECEP_SEG_DEFAULT             MB86A2x_RECEP_SEG_B_64QAM

#define TDA18271_MAIF_DEFAULT                  0	/* value after reset=0 */
#define TDA18271_MARF_DEFAULT                  0	/* value after reset=0 */
#define TDA18271_IFAGC_POL_DEFAULT             1	/* value after reset=1 */
#define TDA18271_RFAGC_POL_DEFAULT             1	/* value after reset=1 */
#define TDA18271_RFAGC_ON_DEFAULT              0

#define TDA18271_VIFREF_DEFAULT                50	/* value after reset=50(d) */
#define TDA18271_AGAIN_DEFAULT                 120	/* value after reset=120(d) */
#define TDA18271_DTS_DEFAULT                   36    /* value after reset=255(d) */
#define TDA18271_IFA_DEFAULT                   53	/* value after reset=53(d) */
#define TDA18271_IFB_DEFAULT                   3800	/* value after reset=3800(d) */
#define TDA18271_IFAGCO_DEFAULT                0		/* value after reset=0(d) */
#define TDA18271_MAXIFAGC_DEFAULT              255	/* value after reset=0(d) */
#define TDA18271_IFSAMPLE_DEFAULT              50	/* value after reset=100(d) */
#define TDA18271_OUTSAMPLE_DEFAULT             50	/* value after reset=100(d) */
#define TDA18271_VMAIF_DEFAULT                 0		/* value after reset=0(d) */

#define TDA18271_DRF_DEFAULT                   20000	/* value after reset=20000(d) */
#define TDA18271_BGAIN_DEFAULT                 2		/* value after reset=20000(d) */
#define TDA18271_RFA_DEFAULT                   34	/* value after reset=34(d) */
#define TDA18271_RFB_DEFAULT                   3800	/* value after reset=3800(d) */
#define TDA18271_RFAGCO_DEFAULT                0		/* value after reset=0(d) */
#define TDA18271_MAXRFAGC_DEFAULT              255	/* value after reset=255(d) */
#define TDA18271_VMARF_DEFAULT                 0		/* value after reset=0(d) */

#define TDA18271_S1CNT_DEFAULT                 200	/* value after reset=0(d) */

#define TDA18271_TS_OUT_SEL_DEFAULT            MB86A2x_TS_OUT_PARALLEL
#define TDA18271_TS_LAYER_DEFAULT              MB86A2x_TS_LAYER_ALL
#define TDA18271_TS_CLK_DEFALT                 MB86A2x_TS_CLK_POS
#define TDA18271_TS_ERR_MASK_DEFAULT           MB86A2x_TS_ERR_MASK_OFF
#define TDA18271_TS_PARITY_DEFAULT             MB86A2x_TS_RS_PARITY_ON
#define TDA18271_TS_SYNC_DEFAULT               MB86A2x_TS_SYNC_ON

#define TDA18271_VBER_A_NUM_DEFAULT            0x000fff	/* value after reset=08_00_00(h) */
#define TDA18271_VBER_B_NUM_DEFAULT            0x00ffff	/* value after reset=20_00_00(h) */
#define TDA18271_VBER_C_NUM_DEFAULT            0x00ffff	/* value after reset=20_00_00(h) */
#define TDA18271_SBER_A_NUM_DEFAULT            0x0003ff	/* value after reset=1F_FF(h) */
#define TDA18271_SBER_B_NUM_DEFAULT            0x003fff	/* value after reset=1F_FF(h) */
#define TDA18271_SBER_C_NUM_DEFAULT            0x003fff	/* value after reset=1F_FF(h) */
#define TDA18271_PBER_A_NUM_DEFAULT            0x0003ff	/* value after reset=00_FF(h) */
#define TDA18271_PBER_B_NUM_DEFAULT            0x003fff	/* value after reset=00_FF(h) */
#define TDA18271_PBER_C_NUM_DEFAULT            0x003fff	/* value after reset=00_FF(h) */
#define TDA18271_CN_SYMBOL_DEFAULT             0x04	/* value after reset=4(h) */
#define TDA18271_MER_SYMBOL_DEFAULT            0x04	/* value after reset=7(h) */

#define TDA18271_START_CH_DEFAULT              13
#define TDA18271_STOP_CH_DEFAULT               62
#define TDA18271_WAIT_CH_SCH_STAT_DEFAULT      10
#define TDA18271_WAIT_CH_SCH_SEQ_DEFAULT       20
#define TDA18271_SCH_LOOP_MAX_DEFAULT          50
