#include "MB86A21_API_defs.h"
#include "Tuner.h"
#include "MB86A21_API_structs.h"
#ifndef _LINUX_FAPI
#include <fapi/sys_services.h>
#endif
#include <stdio.h>

void FUJITSU_printf_version( MB86A2x_VERSION_INFO *version_info )
{
#ifdef DEBUG_FE
	FAPI_SYS_PRINT_MSG( "software_version=%d\n", version_info->DRV_VERSION ) ;
	FAPI_SYS_PRINT_MSG( "LSI version=%02x\n", version_info->LSI_VERSION ) ;
#endif
}


void FUJITSU_printf_IF_input_level( MB86A2x_AGC_INFO *agc_info )
{
#ifdef DEBUG_FE
	FAPI_SYS_PRINT_MSG( "\nIF_input_level=%d ", agc_info->IF_INPUT_LEVEL ) ;
#endif
}


void FUJITSU_printf_IFAGCDAC( MB86A2x_AGC_INFO *agc_info )
{
#ifdef DEBUG_FE
	FAPI_SYS_PRINT_MSG( "DACOUT=%d ", agc_info->IFAGCDAC ) ;
#endif
}


void FUJITSU_printf_SEQUENCE_value( MB86A2x_LOCKNG_INFO *locking_info )
{
#ifdef DEBUG_FE
	FAPI_SYS_PRINT_MSG( "STATE=%d \n", locking_info->STATE ) ;
#endif
}


void FUJITSU_printf_STR_Freq_Error( MB86A2x_FREQ_ERR_INFO *freq_err_info )
{
#ifdef DEBUG_FE
	FAPI_SYS_PRINT_MSG( "   STR_freq_err[Hz]=%d ", freq_err_info->STR_freq_error_Hz ) ;
#endif
}


void FUJITSU_printf_CRR_Freq_Error( MB86A2x_FREQ_ERR_INFO *freq_err_info )
{
#ifdef DEBUG_FE
	FAPI_SYS_PRINT_MSG( "CRR_freq_err[kHz]=%d\n", freq_err_info->CRR_freq_error_kHz ) ;
#endif
}


void FUJITSU_printf_CN( MB86A2x_SIG_QUAL_INFO *sig_qual_info )
{
#ifdef DEBUG_FE
	if( sig_qual_info->CN_current>=0.0 ){FAPI_SYS_PRINT_MSG( "   C/N=%4.1lf[dB]\n", sig_qual_info->CN_current ) ;}
	else{FAPI_SYS_PRINT_MSG( "   C/N--.-[dB]\n" ) ;}
	
#endif
}


void FUJITSU_printf_BER_Lay_A( MB86A2x_SIG_QUAL_INFO *sig_qual_info, MB86A2x_TMCC_INFO *tmcc_info )
{
#ifdef DEBUG_FE
	if( tmcc_info->NUM_A_current<=13 ) {
		if( sig_qual_info->VBER_A_current>=0.0 ) {
			FAPI_SYS_PRINT_MSG( "   VBER_A=%5.3le ", sig_qual_info->VBER_A_current ) ;
		}
		else {
			FAPI_SYS_PRINT_MSG( "   VBER_A=-.---e+000 " ) ;
		}
		if( sig_qual_info->SBER_A_current>=0.0 ) {
			FAPI_SYS_PRINT_MSG( "SBER_A=%5.3le ", sig_qual_info->SBER_A_current ) ;
		}
		else {
			FAPI_SYS_PRINT_MSG( "SBER_A=-.---e+000 " ) ;
		}
		if( sig_qual_info->PBER_A_current>=0.0 ) {
			FAPI_SYS_PRINT_MSG( "PBER_A=%5.3le\n", sig_qual_info->PBER_A_current ) ;
		}
		else {
			FAPI_SYS_PRINT_MSG( "PBER_A=-.---e+000\n" ) ;
		}
	}
	else {
		FAPI_SYS_PRINT_MSG( "   VBER_A=-.---e+000 SBER_A=-.---e+000 PBER_A=-.---e+000\n" ) ;
	}
#endif
}


void FUJITSU_printf_BER_Lay_B( MB86A2x_SIG_QUAL_INFO *sig_qual_info, MB86A2x_TMCC_INFO *tmcc_info )
{
#ifdef DEBUG_FE
	if( tmcc_info->NUM_B_current<=13 ) {
		if( sig_qual_info->VBER_B_current>=0.0 ) {
			FAPI_SYS_PRINT_MSG( "   VBER_B=%5.3le ", sig_qual_info->VBER_B_current ) ;
		}
		else {
			FAPI_SYS_PRINT_MSG( "   VBER_B=-.---e+000 " ) ;
		}
		if( sig_qual_info->SBER_B_current>=0.0 ) {
			FAPI_SYS_PRINT_MSG( "SBER_B=%5.3le ", sig_qual_info->SBER_B_current ) ;
		}
		else {
			FAPI_SYS_PRINT_MSG( "SBER_B=-.---e+000 " ) ;
		}
		if( sig_qual_info->PBER_B_current>=0.0 ) {
			FAPI_SYS_PRINT_MSG( "PBER_B=%5.3le\n", sig_qual_info->PBER_B_current ) ;
		}
		else {
			FAPI_SYS_PRINT_MSG( "PBER_B=-.---e+000\n" ) ;
		}
	}
	else {
		FAPI_SYS_PRINT_MSG( "   VBER_B=-.---e+000 SBER_B=-.---e+000 PBER_B=-.---e+000\n" ) ;
	}
#endif
}


void FUJITSU_printf_BER_Lay_C( MB86A2x_SIG_QUAL_INFO *sig_qual_info, MB86A2x_TMCC_INFO *tmcc_info )
{
#ifdef DEBUG_FE
	if( tmcc_info->NUM_C_current<=13 ) {
		if( sig_qual_info->VBER_C_current>=0.0 ) {
			FAPI_SYS_PRINT_MSG( "   VBER_C=%5.3le ", sig_qual_info->VBER_C_current ) ;
		}
		else {
			FAPI_SYS_PRINT_MSG( "   VBER_C=-.---e+000 " ) ;
		}
		if( sig_qual_info->SBER_C_current>=0.0 ) {
			FAPI_SYS_PRINT_MSG( "SBER_C=%5.3le ", sig_qual_info->SBER_C_current ) ;
		}
		else {
			FAPI_SYS_PRINT_MSG( "SBER_C=-.---e+000 " ) ;
		}
		if( sig_qual_info->PBER_C_current>=0.0 ) {
			FAPI_SYS_PRINT_MSG( "PBER_C=%5.3le\n", sig_qual_info->PBER_C_current ) ;
		}
		else {
			FAPI_SYS_PRINT_MSG( "PBER_C=-.---e+000\n" ) ;
		}
	}
	else {
		FAPI_SYS_PRINT_MSG( "   VBER_C=-.---e+000 SBER_C=-.---e+000 PBER_C=-.---e+000\n" ) ;
	}
#endif
}


void FUJITSU_printf_MER( MB86A2x_SIG_QUAL_INFO *sig_qual_info )
{
#ifdef DEBUG_FE
	if( sig_qual_info->MER_A_current>=0.0 ) {FAPI_SYS_PRINT_MSG( "   MER_A=%4.1lf[dB] ", sig_qual_info->MER_A_current ) ;}
	else                                    {FAPI_SYS_PRINT_MSG( "   MER_A=--.-[dB] " ) ;}
	if( sig_qual_info->MER_B_current>=0.0 ) {FAPI_SYS_PRINT_MSG( "MER_B=%4.1lf[dB] ", sig_qual_info->MER_B_current ) ;}
	else                                    {FAPI_SYS_PRINT_MSG( "MER_B=--.-[dB] " ) ;}
	if( sig_qual_info->MER_C_current>=0.0 ) {FAPI_SYS_PRINT_MSG( "MER_C=%4.1lf[dB] ", sig_qual_info->MER_C_current ) ;}
	else                                    {FAPI_SYS_PRINT_MSG( "MER_C=--.-[dB] " ) ;
	FAPI_SYS_PRINT_MSG( "\n" ) ;}
#endif
}


void FUJITSU_printf_Mode_Guard( MB86A2x_TMCC_INFO *tmcc_info )
{
#ifdef DEBUG_FE
	if(      tmcc_info->MODE_current==1 ) {FAPI_SYS_PRINT_MSG( "   MODE=2 " ) ;}
	else if( tmcc_info->MODE_current==2 ) {FAPI_SYS_PRINT_MSG( "   MODE=3 " ) ;}
	else                                  {FAPI_SYS_PRINT_MSG( "   MODE=? " ) ;}

	if(      tmcc_info->GUARD_current==0 ) {FAPI_SYS_PRINT_MSG( "GUARD=1/4\n" ) ;}
	else if( tmcc_info->GUARD_current==1 ) {FAPI_SYS_PRINT_MSG( "GUARD=1/8\n" ) ;}
	else if( tmcc_info->GUARD_current==2 ) {FAPI_SYS_PRINT_MSG( "GUARD=1/16\n" ) ;}
	else                                   {FAPI_SYS_PRINT_MSG( "GUARD=-/-\n" ) ;}
#endif
}


void FUJITSU_printf_TMCC( MB86A2x_TMCC_INFO *tmcc_info )
{
#ifdef DEBUG_FE
	if(      tmcc_info->MOD_A_current==0 ) {FAPI_SYS_PRINT_MSG( "   LAYER_A=DQPSK" ) ;}
	else if( tmcc_info->MOD_A_current==1 ) {FAPI_SYS_PRINT_MSG( "   LAYER_A=QPSK " ) ;}
	else if( tmcc_info->MOD_A_current==2 ) {FAPI_SYS_PRINT_MSG( "   LAYER_A=16QAM" ) ;}
	else if( tmcc_info->MOD_A_current==3 ) {FAPI_SYS_PRINT_MSG( "   LAYER_A=64QAM" ) ;}
	else                                   {FAPI_SYS_PRINT_MSG( "   LAYER_A=-----" ) ;}

	if(      tmcc_info->RATE_A_current==0 ) {FAPI_SYS_PRINT_MSG( "(1/2) " ) ;}
	else if( tmcc_info->RATE_A_current==1 ) {FAPI_SYS_PRINT_MSG( "(2/3) " ) ;}
	else if( tmcc_info->RATE_A_current==2 ) {FAPI_SYS_PRINT_MSG( "(3/4) " ) ;}
	else if( tmcc_info->RATE_A_current==3 ) {FAPI_SYS_PRINT_MSG( "(5/6) " ) ;}
	else if( tmcc_info->RATE_A_current==4 ) {FAPI_SYS_PRINT_MSG( "(7/8) " ) ;}
	else                                    {FAPI_SYS_PRINT_MSG( "(-/-) " ) ;}

	if(      (tmcc_info->MODE_current==0)&&(tmcc_info->IL_A_current==0) ) {FAPI_SYS_PRINT_MSG( "IL= 0(M1) " ) ;}
	else if( (tmcc_info->MODE_current==0)&&(tmcc_info->IL_A_current==1) ) {FAPI_SYS_PRINT_MSG( "IL= 4(M1) " ) ;}
	else if( (tmcc_info->MODE_current==0)&&(tmcc_info->IL_A_current==2) ) {FAPI_SYS_PRINT_MSG( "IL= 8(M1) " ) ;}
	else if( (tmcc_info->MODE_current==0)&&(tmcc_info->IL_A_current==3) ) {FAPI_SYS_PRINT_MSG( "IL=16(M1) " ) ;}
	else if( (tmcc_info->MODE_current==0)&&(tmcc_info->IL_A_current==4) ) {FAPI_SYS_PRINT_MSG( "IL=32(M1) " ) ;}
	else if( (tmcc_info->MODE_current==1)&&(tmcc_info->IL_A_current==0) ) {FAPI_SYS_PRINT_MSG( "IL= 0(M2) " ) ;}
	else if( (tmcc_info->MODE_current==1)&&(tmcc_info->IL_A_current==1) ) {FAPI_SYS_PRINT_MSG( "IL= 2(M2) " ) ;}
	else if( (tmcc_info->MODE_current==1)&&(tmcc_info->IL_A_current==2) ) {FAPI_SYS_PRINT_MSG( "IL= 4(M2) " ) ;}
	else if( (tmcc_info->MODE_current==1)&&(tmcc_info->IL_A_current==3) ) {FAPI_SYS_PRINT_MSG( "IL= 8(M2) " ) ;}
	else if( (tmcc_info->MODE_current==1)&&(tmcc_info->IL_A_current==4) ) {FAPI_SYS_PRINT_MSG( "IL=16(M2) " ) ;}
	else if( (tmcc_info->MODE_current==2)&&(tmcc_info->IL_A_current==0) ) {FAPI_SYS_PRINT_MSG( "IL= 0(M3) " ) ;}
	else if( (tmcc_info->MODE_current==2)&&(tmcc_info->IL_A_current==1) ) {FAPI_SYS_PRINT_MSG( "IL= 1(M3) " ) ;}
	else if( (tmcc_info->MODE_current==2)&&(tmcc_info->IL_A_current==2) ) {FAPI_SYS_PRINT_MSG( "IL= 2(M3) " ) ;}
	else if( (tmcc_info->MODE_current==2)&&(tmcc_info->IL_A_current==3) ) {FAPI_SYS_PRINT_MSG( "IL= 4(M3) " ) ;}
	else if( (tmcc_info->MODE_current==2)&&(tmcc_info->IL_A_current==4) ) {FAPI_SYS_PRINT_MSG( "IL= 8(M3) " ) ;}
	else                                                                  {FAPI_SYS_PRINT_MSG( "IL=------ " ) ;}

	if( tmcc_info->NUM_A_current>13 ) {FAPI_SYS_PRINT_MSG( "NUM=--\n" ) ;}
	else                              {FAPI_SYS_PRINT_MSG( "NUM=%02d\n", tmcc_info->NUM_A_current ) ;}

	if(      tmcc_info->MOD_B_current==0 ) {FAPI_SYS_PRINT_MSG( "   LAYER_B=DQPSK" ) ;}
	else if( tmcc_info->MOD_B_current==1 ) {FAPI_SYS_PRINT_MSG( "   LAYER_B=QPSK " ) ;}
	else if( tmcc_info->MOD_B_current==2 ) {FAPI_SYS_PRINT_MSG( "   LAYER_B=16QAM" ) ;}
	else if( tmcc_info->MOD_B_current==3 ) {FAPI_SYS_PRINT_MSG( "   LAYER_B=64QAM" ) ;}
	else                                   {FAPI_SYS_PRINT_MSG( "   LAYER_B=-----" ) ;}

	if(      tmcc_info->RATE_B_current==0 ) {FAPI_SYS_PRINT_MSG( "(1/2) " ) ;}
	else if( tmcc_info->RATE_B_current==1 ) {FAPI_SYS_PRINT_MSG( "(2/3) " ) ;}
	else if( tmcc_info->RATE_B_current==2 ) {FAPI_SYS_PRINT_MSG( "(3/4) " ) ;}
	else if( tmcc_info->RATE_B_current==3 ) {FAPI_SYS_PRINT_MSG( "(5/6) " ) ;}
	else if( tmcc_info->RATE_B_current==4 ) {FAPI_SYS_PRINT_MSG( "(7/8) " ) ;}
	else                                    {FAPI_SYS_PRINT_MSG( "(-/-) " ) ;}

	if(      (tmcc_info->MODE_current==0)&&(tmcc_info->IL_B_current==0) ) {FAPI_SYS_PRINT_MSG( "IL= 0(M1) " ) ;}
	else if( (tmcc_info->MODE_current==0)&&(tmcc_info->IL_B_current==1) ) {FAPI_SYS_PRINT_MSG( "IL= 4(M1) " ) ;}
	else if( (tmcc_info->MODE_current==0)&&(tmcc_info->IL_B_current==2) ) {FAPI_SYS_PRINT_MSG( "IL= 8(M1) " ) ;}
	else if( (tmcc_info->MODE_current==0)&&(tmcc_info->IL_B_current==3) ) {FAPI_SYS_PRINT_MSG( "IL=16(M1) " ) ;}
	else if( (tmcc_info->MODE_current==0)&&(tmcc_info->IL_B_current==4) ) {FAPI_SYS_PRINT_MSG( "IL=32(M1) " ) ;}
	else if( (tmcc_info->MODE_current==1)&&(tmcc_info->IL_B_current==0) ) {FAPI_SYS_PRINT_MSG( "IL= 0(M2) " ) ;}
	else if( (tmcc_info->MODE_current==1)&&(tmcc_info->IL_B_current==1) ) {FAPI_SYS_PRINT_MSG( "IL= 2(M2) " ) ;}
	else if( (tmcc_info->MODE_current==1)&&(tmcc_info->IL_B_current==2) ) {FAPI_SYS_PRINT_MSG( "IL= 4(M2) " ) ;}
	else if( (tmcc_info->MODE_current==1)&&(tmcc_info->IL_B_current==3) ) {FAPI_SYS_PRINT_MSG( "IL= 8(M2) " ) ;}
	else if( (tmcc_info->MODE_current==1)&&(tmcc_info->IL_B_current==4) ) {FAPI_SYS_PRINT_MSG( "IL=16(M2) " ) ;}
	else if( (tmcc_info->MODE_current==2)&&(tmcc_info->IL_B_current==0) ) {FAPI_SYS_PRINT_MSG( "IL= 0(M3) " ) ;}
	else if( (tmcc_info->MODE_current==2)&&(tmcc_info->IL_B_current==1) ) {FAPI_SYS_PRINT_MSG( "IL= 1(M3) " ) ;}
	else if( (tmcc_info->MODE_current==2)&&(tmcc_info->IL_B_current==2) ) {FAPI_SYS_PRINT_MSG( "IL= 2(M3) " ) ;}
	else if( (tmcc_info->MODE_current==2)&&(tmcc_info->IL_B_current==3) ) {FAPI_SYS_PRINT_MSG( "IL= 4(M3) " ) ;}
	else if( (tmcc_info->MODE_current==2)&&(tmcc_info->IL_B_current==4) ) {FAPI_SYS_PRINT_MSG( "IL= 8(M3) " ) ;}
	else                                                                  {FAPI_SYS_PRINT_MSG( "IL=------ " ) ;}

	if( tmcc_info->NUM_B_current>13 ) {FAPI_SYS_PRINT_MSG( "NUM=--\n" ) ;}
	else                             {FAPI_SYS_PRINT_MSG( "NUM=%02d\n", tmcc_info->NUM_B_current ) ;}

	if(      tmcc_info->MOD_C_current==0 ) {FAPI_SYS_PRINT_MSG( "   LAYER_C=DQPSK" ) ;}
	else if( tmcc_info->MOD_C_current==1 ) {FAPI_SYS_PRINT_MSG( "   LAYER_C=QPSK " ) ;}
	else if( tmcc_info->MOD_C_current==2 ) {FAPI_SYS_PRINT_MSG( "   LAYER_C=16QAM" ) ;}
	else if( tmcc_info->MOD_C_current==3 ) {FAPI_SYS_PRINT_MSG( "   LAYER_C=64QAM" ) ;}
	else                                   {FAPI_SYS_PRINT_MSG( "   LAYER_C=-----" ) ;}

	if(      tmcc_info->RATE_C_current==0 ) {FAPI_SYS_PRINT_MSG( "(1/2) " ) ;}
	else if( tmcc_info->RATE_C_current==1 ) {FAPI_SYS_PRINT_MSG( "(2/3) " ) ;}
	else if( tmcc_info->RATE_C_current==2 ) {FAPI_SYS_PRINT_MSG( "(3/4) " ) ;}
	else if( tmcc_info->RATE_C_current==3 ) {FAPI_SYS_PRINT_MSG( "(5/6) " ) ;}
	else if( tmcc_info->RATE_C_current==4 ) {FAPI_SYS_PRINT_MSG( "(7/8) " ) ;}
	else                                    {FAPI_SYS_PRINT_MSG( "(-/-) " ) ;}

	if(      (tmcc_info->MODE_current==0)&&(tmcc_info->IL_C_current==0) ) {FAPI_SYS_PRINT_MSG( "IL= 0(M1) " ) ;}
	else if( (tmcc_info->MODE_current==0)&&(tmcc_info->IL_C_current==1) ) {FAPI_SYS_PRINT_MSG( "IL= 4(M1) " ) ;}
	else if( (tmcc_info->MODE_current==0)&&(tmcc_info->IL_C_current==2) ) {FAPI_SYS_PRINT_MSG( "IL= 8(M1) " ) ;}
	else if( (tmcc_info->MODE_current==0)&&(tmcc_info->IL_C_current==3) ) {FAPI_SYS_PRINT_MSG( "IL=16(M1) " ) ;}
	else if( (tmcc_info->MODE_current==0)&&(tmcc_info->IL_C_current==4) ) {FAPI_SYS_PRINT_MSG( "IL=32(M1) " ) ;}
	else if( (tmcc_info->MODE_current==1)&&(tmcc_info->IL_C_current==0) ) {FAPI_SYS_PRINT_MSG( "IL= 0(M2) " ) ;}
	else if( (tmcc_info->MODE_current==1)&&(tmcc_info->IL_C_current==1) ) {FAPI_SYS_PRINT_MSG( "IL= 2(M2) " ) ;}
	else if( (tmcc_info->MODE_current==1)&&(tmcc_info->IL_C_current==2) ) {FAPI_SYS_PRINT_MSG( "IL= 4(M2) " ) ;}
	else if( (tmcc_info->MODE_current==1)&&(tmcc_info->IL_C_current==3) ) {FAPI_SYS_PRINT_MSG( "IL= 8(M2) " ) ;}
	else if( (tmcc_info->MODE_current==1)&&(tmcc_info->IL_C_current==4) ) {FAPI_SYS_PRINT_MSG( "IL=16(M2) " ) ;}
	else if( (tmcc_info->MODE_current==2)&&(tmcc_info->IL_C_current==0) ) {FAPI_SYS_PRINT_MSG( "IL= 0(M3) " ) ;}
	else if( (tmcc_info->MODE_current==2)&&(tmcc_info->IL_C_current==1) ) {FAPI_SYS_PRINT_MSG( "IL= 1(M3) " ) ;}
	else if( (tmcc_info->MODE_current==2)&&(tmcc_info->IL_C_current==2) ) {FAPI_SYS_PRINT_MSG( "IL= 2(M3) " ) ;}
	else if( (tmcc_info->MODE_current==2)&&(tmcc_info->IL_C_current==3) ) {FAPI_SYS_PRINT_MSG( "IL= 4(M3) " ) ;}
	else if( (tmcc_info->MODE_current==2)&&(tmcc_info->IL_C_current==4) ) {FAPI_SYS_PRINT_MSG( "IL= 8(M3) " ) ;}
	else                                                                  {FAPI_SYS_PRINT_MSG( "IL=------ " ) ;}

	if( tmcc_info->NUM_C_current>13 ) {FAPI_SYS_PRINT_MSG( "NUM=--\n" ) ;}
	else                              {FAPI_SYS_PRINT_MSG( "NUM=%02d\n", tmcc_info->NUM_C_current ) ;}
#endif
}


void FUJITSU_printf_Channel_None( int ch )
{
#ifdef DEBUG_FE
	FAPI_SYS_PRINT_MSG( "ch=%02d None\n", ch ) ;
#endif
}


void FUJITSU_printf_Channel_None_freq( int freq )
{
#ifdef DEBUG_FE
	FAPI_SYS_PRINT_MSG( "freq=%06d None\n", freq ) ;
#endif
}


void FUJITSU_fprintf_TMCC( MB86A2x_CH_SCH_INFO *ch_sch_info )
{
#if 0
	FILE *f1 ;
	UINT8 ch ;

	f1 = fopen( "Channel_Search_Result.txt", "wt" ) ;
	for( ch=0 ; ch<ch_sch_info->Detected_ch_num ; ch++ ) {

		fprintf( f1, "No.=%02d CH_num=%02d", ch, ch_sch_info->CH_num[ch] ) ;

		if(      ch_sch_info->MODE[ch]==1 ) fprintf( f1, "   MODE=2 " ) ;
		else if( ch_sch_info->MODE[ch]==2 ) fprintf( f1, "   MODE=3 " ) ;
		else                                fprintf( f1, "   MODE=? " ) ;

		if(      ch_sch_info->GUARD[ch]==0 ) fprintf( f1, "GUARD=1/4\n" ) ;
		else if( ch_sch_info->GUARD[ch]==1 ) fprintf( f1, "GUARD=1/8\n" ) ;
		else if( ch_sch_info->GUARD[ch]==2 ) fprintf( f1, "GUARD=1/16\n" ) ;
		else                                 fprintf( f1, "GUARD=-/-\n" ) ;

		if(      ch_sch_info->MOD_A[ch]==0 ) fprintf( f1, "    LAYER_A=DQPSK" ) ;
		else if( ch_sch_info->MOD_A[ch]==1 ) fprintf( f1, "    LAYER_A=QPSK " ) ;
		else if( ch_sch_info->MOD_A[ch]==2 ) fprintf( f1, "    LAYER_A=16QAM" ) ;
		else if( ch_sch_info->MOD_A[ch]==3 ) fprintf( f1, "    LAYER_A=64QAM" ) ;
		else                                 fprintf( f1, "    LAYER_A=-----" ) ;

		if(      ch_sch_info->RATE_A[ch]==0 ) fprintf( f1, "(1/2) " ) ;
		else if( ch_sch_info->RATE_A[ch]==1 ) fprintf( f1, "(2/3) " ) ;
		else if( ch_sch_info->RATE_A[ch]==2 ) fprintf( f1, "(3/4) " ) ;
		else if( ch_sch_info->RATE_A[ch]==3 ) fprintf( f1, "(5/6) " ) ;
		else if( ch_sch_info->RATE_A[ch]==4 ) fprintf( f1, "(7/8) " ) ;
		else                                  fprintf( f1, "(-/-) " ) ;

		if(      (ch_sch_info->MODE[ch]==0)&&(ch_sch_info->IL_A[ch]==0) ) fprintf( f1, "IL= 0(M1) " ) ;
		else if( (ch_sch_info->MODE[ch]==0)&&(ch_sch_info->IL_A[ch]==1) ) fprintf( f1, "IL= 4(M1) " ) ;
		else if( (ch_sch_info->MODE[ch]==0)&&(ch_sch_info->IL_A[ch]==2) ) fprintf( f1, "IL= 8(M1) " ) ;
		else if( (ch_sch_info->MODE[ch]==0)&&(ch_sch_info->IL_A[ch]==3) ) fprintf( f1, "IL=16(M1) " ) ;
		else if( (ch_sch_info->MODE[ch]==0)&&(ch_sch_info->IL_A[ch]==4) ) fprintf( f1, "IL=32(M1) " ) ;
		else if( (ch_sch_info->MODE[ch]==1)&&(ch_sch_info->IL_A[ch]==0) ) fprintf( f1, "IL= 0(M2) " ) ;
		else if( (ch_sch_info->MODE[ch]==1)&&(ch_sch_info->IL_A[ch]==1) ) fprintf( f1, "IL= 2(M2) " ) ;
		else if( (ch_sch_info->MODE[ch]==1)&&(ch_sch_info->IL_A[ch]==2) ) fprintf( f1, "IL= 4(M2) " ) ;
		else if( (ch_sch_info->MODE[ch]==1)&&(ch_sch_info->IL_A[ch]==3) ) fprintf( f1, "IL= 8(M2) " ) ;
		else if( (ch_sch_info->MODE[ch]==1)&&(ch_sch_info->IL_A[ch]==4) ) fprintf( f1, "IL=16(M2) " ) ;
		else if( (ch_sch_info->MODE[ch]==2)&&(ch_sch_info->IL_A[ch]==0) ) fprintf( f1, "IL= 0(M3) " ) ;
		else if( (ch_sch_info->MODE[ch]==2)&&(ch_sch_info->IL_A[ch]==1) ) fprintf( f1, "IL= 1(M3) " ) ;
		else if( (ch_sch_info->MODE[ch]==2)&&(ch_sch_info->IL_A[ch]==2) ) fprintf( f1, "IL= 2(M3) " ) ;
		else if( (ch_sch_info->MODE[ch]==2)&&(ch_sch_info->IL_A[ch]==3) ) fprintf( f1, "IL= 4(M3) " ) ;
		else if( (ch_sch_info->MODE[ch]==2)&&(ch_sch_info->IL_A[ch]==4) ) fprintf( f1, "IL= 8(M3) " ) ;
		else                                                              fprintf( f1, "IL=------ " ) ;

		if( ch_sch_info->NUM_A[ch]>13 ) fprintf( f1, "NUM=--\n" ) ;
		else                            fprintf( f1, "NUM=%02d\n", ch_sch_info->NUM_A[ch] ) ;

		if(      ch_sch_info->MOD_B[ch]==0 ) fprintf( f1, "    LAYER_B=DQPSK" ) ;
		else if( ch_sch_info->MOD_B[ch]==1 ) fprintf( f1, "    LAYER_B=QPSK " ) ;
		else if( ch_sch_info->MOD_B[ch]==2 ) fprintf( f1, "    LAYER_B=16QAM" ) ;
		else if( ch_sch_info->MOD_B[ch]==3 ) fprintf( f1, "    LAYER_B=64QAM" ) ;
		else                                 fprintf( f1, "    LAYER_B=-----" ) ;

		if(      ch_sch_info->RATE_B[ch]==0 ) fprintf( f1, "(1/2) " ) ;
		else if( ch_sch_info->RATE_B[ch]==1 ) fprintf( f1, "(2/3) " ) ;
		else if( ch_sch_info->RATE_B[ch]==2 ) fprintf( f1, "(3/4) " ) ;
		else if( ch_sch_info->RATE_B[ch]==3 ) fprintf( f1, "(5/6) " ) ;
		else if( ch_sch_info->RATE_B[ch]==4 ) fprintf( f1, "(7/8) " ) ;
		else                                  fprintf( f1, "(-/-) " ) ;

		if(      (ch_sch_info->MODE[ch]==0)&&(ch_sch_info->IL_B[ch]==0) ) fprintf( f1, "IL= 0(M1) " ) ;
		else if( (ch_sch_info->MODE[ch]==0)&&(ch_sch_info->IL_B[ch]==1) ) fprintf( f1, "IL= 4(M1) " ) ;
		else if( (ch_sch_info->MODE[ch]==0)&&(ch_sch_info->IL_B[ch]==2) ) fprintf( f1, "IL= 8(M1) " ) ;
		else if( (ch_sch_info->MODE[ch]==0)&&(ch_sch_info->IL_B[ch]==3) ) fprintf( f1, "IL=16(M1) " ) ;
		else if( (ch_sch_info->MODE[ch]==0)&&(ch_sch_info->IL_B[ch]==4) ) fprintf( f1, "IL=32(M1) " ) ;
		else if( (ch_sch_info->MODE[ch]==1)&&(ch_sch_info->IL_B[ch]==0) ) fprintf( f1, "IL= 0(M2) " ) ;
		else if( (ch_sch_info->MODE[ch]==1)&&(ch_sch_info->IL_B[ch]==1) ) fprintf( f1, "IL= 2(M2) " ) ;
		else if( (ch_sch_info->MODE[ch]==1)&&(ch_sch_info->IL_B[ch]==2) ) fprintf( f1, "IL= 4(M2) " ) ;
		else if( (ch_sch_info->MODE[ch]==1)&&(ch_sch_info->IL_B[ch]==3) ) fprintf( f1, "IL= 8(M2) " ) ;
		else if( (ch_sch_info->MODE[ch]==1)&&(ch_sch_info->IL_B[ch]==4) ) fprintf( f1, "IL=16(M2) " ) ;
		else if( (ch_sch_info->MODE[ch]==2)&&(ch_sch_info->IL_B[ch]==0) ) fprintf( f1, "IL= 0(M3) " ) ;
		else if( (ch_sch_info->MODE[ch]==2)&&(ch_sch_info->IL_B[ch]==1) ) fprintf( f1, "IL= 1(M3) " ) ;
		else if( (ch_sch_info->MODE[ch]==2)&&(ch_sch_info->IL_B[ch]==2) ) fprintf( f1, "IL= 2(M3) " ) ;
		else if( (ch_sch_info->MODE[ch]==2)&&(ch_sch_info->IL_B[ch]==3) ) fprintf( f1, "IL= 4(M3) " ) ;
		else if( (ch_sch_info->MODE[ch]==2)&&(ch_sch_info->IL_B[ch]==4) ) fprintf( f1, "IL= 8(M3) " ) ;
		else                                                              fprintf( f1, "IL=------ " ) ;

		if( ch_sch_info->NUM_B[ch]>13 ) fprintf( f1, "NUM=--\n" ) ;
		else                            fprintf( f1, "NUM=%02d\n", ch_sch_info->NUM_B[ch] ) ;

		if(      ch_sch_info->MOD_C[ch]==0 ) fprintf( f1, "    LAYER_C=DQPSK" ) ;
		else if( ch_sch_info->MOD_C[ch]==1 ) fprintf( f1, "    LAYER_C=QPSK " ) ;
		else if( ch_sch_info->MOD_C[ch]==2 ) fprintf( f1, "    LAYER_C=16QAM" ) ;
		else if( ch_sch_info->MOD_C[ch]==3 ) fprintf( f1, "    LAYER_C=64QAM" ) ;
		else                                 fprintf( f1, "    LAYER_C=-----" ) ;

		if(      ch_sch_info->RATE_C[ch]==0 ) fprintf( f1, "(1/2) " ) ;
		else if( ch_sch_info->RATE_C[ch]==1 ) fprintf( f1, "(2/3) " ) ;
		else if( ch_sch_info->RATE_C[ch]==2 ) fprintf( f1, "(3/4) " ) ;
		else if( ch_sch_info->RATE_C[ch]==3 ) fprintf( f1, "(5/6) " ) ;
		else if( ch_sch_info->RATE_C[ch]==4 ) fprintf( f1, "(7/8) " ) ;
		else                                  fprintf( f1, "(-/-) " ) ;

		if(      (ch_sch_info->MODE[ch]==0)&&(ch_sch_info->IL_C[ch]==0) ) fprintf( f1, "IL= 0(M1) " ) ;
		else if( (ch_sch_info->MODE[ch]==0)&&(ch_sch_info->IL_C[ch]==1) ) fprintf( f1, "IL= 4(M1) " ) ;
		else if( (ch_sch_info->MODE[ch]==0)&&(ch_sch_info->IL_C[ch]==2) ) fprintf( f1, "IL= 8(M1) " ) ;
		else if( (ch_sch_info->MODE[ch]==0)&&(ch_sch_info->IL_C[ch]==3) ) fprintf( f1, "IL=16(M1) " ) ;
		else if( (ch_sch_info->MODE[ch]==0)&&(ch_sch_info->IL_C[ch]==4) ) fprintf( f1, "IL=32(M1) " ) ;
		else if( (ch_sch_info->MODE[ch]==1)&&(ch_sch_info->IL_C[ch]==0) ) fprintf( f1, "IL= 0(M2) " ) ;
		else if( (ch_sch_info->MODE[ch]==1)&&(ch_sch_info->IL_C[ch]==1) ) fprintf( f1, "IL= 2(M2) " ) ;
		else if( (ch_sch_info->MODE[ch]==1)&&(ch_sch_info->IL_C[ch]==2) ) fprintf( f1, "IL= 4(M2) " ) ;
		else if( (ch_sch_info->MODE[ch]==1)&&(ch_sch_info->IL_C[ch]==3) ) fprintf( f1, "IL= 8(M2) " ) ;
		else if( (ch_sch_info->MODE[ch]==1)&&(ch_sch_info->IL_C[ch]==4) ) fprintf( f1, "IL=16(M2) " ) ;
		else if( (ch_sch_info->MODE[ch]==2)&&(ch_sch_info->IL_C[ch]==0) ) fprintf( f1, "IL= 0(M3) " ) ;
		else if( (ch_sch_info->MODE[ch]==2)&&(ch_sch_info->IL_C[ch]==1) ) fprintf( f1, "IL= 1(M3) " ) ;
		else if( (ch_sch_info->MODE[ch]==2)&&(ch_sch_info->IL_C[ch]==2) ) fprintf( f1, "IL= 2(M3) " ) ;
		else if( (ch_sch_info->MODE[ch]==2)&&(ch_sch_info->IL_C[ch]==3) ) fprintf( f1, "IL= 4(M3) " ) ;
		else if( (ch_sch_info->MODE[ch]==2)&&(ch_sch_info->IL_C[ch]==4) ) fprintf( f1, "IL= 8(M3) " ) ;
		else                                                              fprintf( f1, "IL=------ " ) ;

		if( ch_sch_info->NUM_C[ch]>13 ) fprintf( f1, "NUM=--\n" ) ;
		else                            fprintf( f1, "NUM=%02d\n", ch_sch_info->NUM_C[ch] ) ;

		fprintf( f1, "\n" ) ;

	}
	fclose( f1 ) ;
#endif
}
