/*
 
 Driver APIs for MxL135RF Tuner
 
 Copyright, Maxlinear, Inc.
 All Rights Reserved
 
 File Name:      MxL135RF.h

 */

 #ifndef __MxL135RF_H
#define __MxL135RF_H


#include "MxL135RF_Common.h"
#include "MxL_User_Define.h"


typedef struct
{
	unsigned char Num;	//Register number
	unsigned char Val;	//Register value
} IRVType, *PIRVType;


unsigned int MxL135RF_Init(unsigned char* pArray,				// a array pointer that store the addr and data pairs for I2C write
					unsigned int* Array_Size,			// a integer pointer that store the number of element in above array
					unsigned char Mode,				
					unsigned int Xtal_Freq_Hz,		
					unsigned int IF_Freq_Hz,		
					unsigned char Invert_IF,			
					unsigned char Clk_Out_Enable,    
					unsigned char Clk_Out_Amp		
					);
unsigned int MxL135RF_RFTune(unsigned char* pArray, unsigned int* Array_Size, 
					 unsigned int RF_Freq,			// RF Frequency in Hz
					 unsigned char BWMHz		// Bandwidth in MHz
					 );
unsigned int SetIRVBit(PIRVType pIRV, unsigned char Num, unsigned char Mask, unsigned char Val);

#endif
