/*

 Driver APIs for MxL135RF Tuner

 Copyright, Maxlinear, Inc.
 All Rights Reserved

 File Name:      MxL135RF_API.h

 */

#ifndef __MxL135RF_USER_DEFINE_H
#define __MxL135RF_USER_DEFINE_H

/******************************************************************************
*						User-Defined Types (Typedefs)
******************************************************************************/


/****************************************************************************
*       Imports and definitions for WIN32
****************************************************************************/
//#include <windows.h>
//typedef unsigned char  unsigned char;
//typedef unsigned short unsigned short;
//typedef unsigned int   unsigned int;
//typedef char           char;
//typedef short          short;
//typedef int            int;
//typedef float          float;

/****************************************************************************\
*      Imports and definitions for non WIN32 platforms                   *
\****************************************************************************/
/*
typedef unsigned char  unsigned char;
typedef unsigned short unsigned short;
typedef unsigned int   unsigned int;
typedef char           char;
typedef short          short;
typedef int            int;
typedef float          float;

// create a boolean
#ifndef __boolean__
#define __boolean__
typedef enum {FALSE=0,TRUE} BOOL;
#endif //boolean
*/

/****************************************************************************\
*          Definitions for all platforms					                 *
\****************************************************************************/
#ifndef NULL
#define NULL (void*)0
#endif

//if BOOL has not been defined
typedef enum
{
  TRUE = 1,
  FALSE = 0
} BOOL;

/* ===================User Defined Functions ==============================*/

unsigned int MxL_I2C_Write(unsigned char DeviceAddr, unsigned char* pArray, unsigned int count);
unsigned int MxL_I2C_Read(unsigned char DeviceAddr, unsigned char Addr, unsigned char* mData);
void MxL_Delay(unsigned int mSec);

#endif

