/****************************************************************************
*
*  Functions to calculate Tuner Parameter
*
*  Copyright (c) 2009 Fujitsu Microelectronics 
*  All rights reserved. 
*
*  Created 03/24/2009
*
****************************************************************************/

/****************************************************************************
*   Tuner Type
****************************************************************************/
typedef enum
{
   NO_TUNER = 0,
   ISDBT_TDA18211,  // NXP Silicon Tuner
   ISDBT_NI386X,    // Nutune Full-NIM
   ISDBT_TDAL,      // ALPS Half-NIM
   ISDBT_MAX3580,   // Maxim Silicon Tuner done by Gospell
   ISDBT_MXL135RF,  // Maxlinear Silicon Tuner
   LAST_TUNER,
} tuner_type_t;

/****************************************************************************
*   Tuner Configuration
****************************************************************************/
typedef struct 
{
    UINT8           Tuner_Adr ;
    UINT8           Tuner_Data[5] ;
    UINT32          IF_freq_kHz ;
    MB86A2x_CH_UNIT CH_UNIT ;
    UINT32          RF_freq_kHz ;
    UINT32          CH ;
} TUNER_PARAM ;


/****************************************************************************
*   Tuner Error Message
****************************************************************************/

typedef enum {
    TUNER_NG       = 0,
    TUNER_OK       = 1,
} TUNER_MSG ;


/****************************************************************************
*  Functions to calculate Tuner Parameter
****************************************************************************/

TUNER_MSG SHARP_TUNER_INIT( TUNER_PARAM *mytuner ) ;
TUNER_MSG ALPS_TDAL_TUNER_INIT( TUNER_PARAM *mytuner ) ;
TUNER_MSG THOMSON_TUNER_INIT_1( TUNER_PARAM *mytuner ) ;
TUNER_MSG THOMSON_TUNER_INIT_2( TUNER_PARAM *mytuner ) ;
TUNER_MSG SAMSUNG_TUNER_INIT( TUNER_PARAM *mytuner ) ;
TUNER_MSG CH_to_freq( TUNER_PARAM *mytuner ) ;
TUNER_MSG NXP_TUNER_INIT_2( TUNER_PARAM *mytuner );
#ifdef MAX3580
TUNER_MSG Max3580_TUNER_INIT( UINT8 OFDM_addr, UINT8 Tu_addr, TUNER_PARAM *mytuner );
#endif
#ifdef MXL135RF
TUNER_MSG MxL_TUNER_INIT( TUNER_PARAM *tuner_param );
#endif
