/****************************************************************************
*
*   FC2581 default parameter setting
*
*  Copyright (c) 2009 Fujitsu Microelectronics 
*  All rights reserved. 
*
*  Created 03/05/2009
*
****************************************************************************/

#include "../MB86A22_API_defs.h"
#include "../MB86A22_Tuner.h"
#include "../MB86A22_API_structs.h"

#if (MB86A22_TUNER_SUPPORT_FC2581 > 0)
const MB86A2x_PARAM MB86A22_FC2581_PARAM_TABLE =
{
    {//nim
        {
            0xac, /*Tuner_Adr*/
            0, 0, 0, 0, 0,  /*Tuner_Data*/
            MB86A2x_IF_FREQ_000_kHz, /*IF_freq_kHz*/    
            MB86A2x_CH_UNIT_JP,  /*CH_UNIT*/
            473143,  /*RF_freq_kHz*/
            13,  /* CH*/        
        }, /*TUNER_PARAM*/
        MB86A2x_DEV_ADR_24, /*MB86A2x_Adr*/
        1,  /*IQ_pol*/
        0, /*POWER_DOWN*/
        1, /*RF_CONT_EN*/
        MB86A22_NO_TUNER, /*TUNER_TYPE*/
    },
    {//pll
        16000, /*INPUT_CLK_FREQ_kHz*/
        0, /*PLLPASS*/
        MB86A2x_BANDSEL_ISDBT_6MHz,  /*BANDSEL*/
        MB86A2x_FREQSEL_0, /*FREQSEL*/
        MB86A2x_REFSEL_16MHz, /*REFSEL*/
        16000, /*MASTER_CLK_FREQ_kHz*/
    },
    {//layer
        MB86A2x_RECEP_HIGHEST, /*RECEP_LAYER*/
    },
    {//recov
        0, /* CRR_OFS: carrier recovery offset value */
        0 /* STR_OFS: symbol timing recovery offset value */
    },
    {//agc
        0, /* MAIF: IFAGC Manual setting */
        0, /* MARF: RFAGC Manual setting */
        1, /* IFAGC_POL: IFAGC polarity */
        1, /* RFAGC_POL: RFAGC polarity */
        0, /* RFAGC_ON: RFAGC Switch */
    },
    {//IFAGC
        50, /* value after reset=50(d) */
        120,    /* value after reset=120(d) */
        15, /* value after reset=255(d) */
        53, /* value after reset=53(d) */
        3800,   /* value after reset=3800(d) */
        0,      /* value after reset=0(d) */
        255,    /* value after reset=0(d) */
        100,    /* value after reset=100(d) */
        100,    /* value after reset=100(d) */
         0      /* value after reset=0(d) */
    },
    {//RF AGC
        20000,  /* value after reset=20000(d) */
        2,      /* value after reset=20000(d) */
        34, /* value after reset=34(d) */
        3800,   /* value after reset=3800(d) */
        0,      /* value after reset=0(d) */
        255,    /* value after reset=255(d) */
        0,      /* value after reset=0(d) */
    },
    {//TU
        60, /* value after reset=0(d) */
    },
    {//TS OUT
        MB86A2x_TS_OUT_PARALLEL, /*TS_OUT_SEL*/
        MB86A2x_TS_ERR_MASK_OFF, /*TS_ERR_MASK*/
        MB86A2x_TS_LAYER_ALL,  /*TS_LAYER*/
        MB86A2x_TS_CLK_POS, /*TS_CLK*/  //MB86A2x_TS_CLK_NEG
        MB86A2x_TS_RS_PARITY_ON, /*TS_PARITY*/
        MB86A2x_TS_SYNC_ON /*TS_SYNC*/
    },
    {
        0x000fff, /*VBER_A_NUM*/
        0x00ffff, /*VBER_B_NUM*/
        0x00ffff,  /*VBER_C_NUM*/
        0x0003ff, /*SBER_A_NUM*/
        0x003fff, /*SBER_B_NUM*/
        0x003fff,  /*SBER_C_NUM*/
        0x0003ff, /*PBER_A_NUM*/
        0x003fff, /*PBER_B_NUM*/
        0x003fff,  /*PBER_C_NUM*/
        0x04, /*CN_SYMBOL*/
        0x04, /*MER_SYMBOL*/
    },
    {
        7, /*START_CH*/
        69, /*STOP_CH*/
        10,  /*WAIT_CH_SCH_STAT*/
        20, /*WAIT_CH_SCH_SEQ*/
        50, /*SCH_LOOP_MAX*/
    },
};
#endif

