/***********************************************************************************
*
* verison 01
*    Internal temp. version
* version 02
*     Initial Release
* version 03
*     MB86A22_API_defs.h
*        -MB86A2x_CH_UNIT_kHz was added to enum MB86A2x_CH_UNIT.
*     MB86A22_Tuner.h
*        -data type of CH_UNIT which is the member of struct TUNER_PARAM was
*         changed from UINT32 to MB86A2x_CH_UNIT.
*     MB86A22_API_structs.h
*        -Following parameters were added to struct MB86A2x_LOCKNG_INFO for supporting manual search.
*            -UINT8 S8_REACH ;
*            -UINT8 S8_REACH_his ;
*     MB86A22_API.h
*        -Following fucntions were added for more convenience.
*            -MB86A2x_ERR_MSG MB86A22_Get_DRV_Version( MB86A2x_VERSION_INFO *version_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Get_LSI_Version( MB86A2x_NIM_PARAM *nim_param, MB86A2x_VERSION_INFO *version_info ) ;
*        -Following fucntions were added to calculate monitor timers from timer period.
*            -MB86A2x_ERR_MSG MB86A22_Calc_VBER_NUM( MB86A2x_CH_SCH_INFO *ch_sch_info, UINT32 VBER_T_A, UINT32 VBER_T_B, UINT32 VBER_T_C,
*                                       UINT8 ch_num, MB86A2x_MON_TIM_PARAM *mon_tim_param ) ;
*            -MB86A2x_ERR_MSG MB86A22_Calc_SBER_NUM( MB86A2x_CH_SCH_INFO *ch_sch_info, UINT32 SBER_T_A, UINT32 SBER_T_B, UINT32 SBER_T_C,
*                                       UINT8 ch_num, MB86A2x_MON_TIM_PARAM *mon_tim_param ) ;
*            -MB86A2x_ERR_MSG MB86A22_Calc_PBER_NUM( MB86A2x_CH_SCH_INFO *ch_sch_info, UINT32 PBER_T_A, UINT32 PBER_T_B, UINT32 PBER_T_C,
*                                       UINT8 ch_num, MB86A2x_MON_TIM_PARAM *mon_tim_param ) ;
*            -MB86A2x_ERR_MSG MB86A22_Calc_MER_SYMBOL( MB86A2x_CH_SCH_INFO *ch_sch_info, UINT32 MER_T, UINT8 ch_num, MB86A2x_MON_TIM_PARAM *mon_tim_param ) ;
*            -MB86A2x_ERR_MSG MB86A22_Calc_CN_SYMBOL( MB86A2x_CH_SCH_INFO *ch_sch_info, UINT32 CN_T, UINT8 ch_num, MB86A2x_MON_TIM_PARAM *mon_tim_param ) ;
*            -UINT32 MB86A22_Calc_MER_Period( MB86A2x_CH_SCH_INFO *ch_sch_info, UINT8 ch_num, MB86A2x_MON_TIM_PARAM *mon_tim_param ) ;
*            -UINT32 MB86A22_Calc_CN_Period( MB86A2x_CH_SCH_INFO *ch_sch_info, UINT8 ch_num, MB86A2x_MON_TIM_PARAM *mon_tim_param ) ;
*            -REAL32 MB86A22_calc_symbol_length( UINT8 MODE, UINT8 GUARD ) ;
*            -REAL32 MB86A22_calc_carrier_num( UINT8 MODE ) ;
*            -REAL32 MB86A22_calc_symbol_bit( UINT8 modulation ) ;
*            -REAL32 MB86A22_calc_data_ratio( UINT8 guard ) ;
*            -REAL32 MB86A22_calc_TSP_num( UINT8 mode, UINT8 modulation, UINT8 code_rate ) ;
*        -Following parameters were added to support manual search.
*            -MB86A2x_ERR_MSG MB86A22_Store_Channel_Info( UINT32 ch, MB86A2x_TMCC_INFO *tmcc_info, MB86A2x_CH_SCH_INFO *ch_sch_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Load_CH_SCH_Result( UINT32 ch, MB86A2x_TMCC_INFO *tmcc_info, MB86A2x_CH_SCH_INFO *ch_sch_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Init_LOCKNG_INFO( MB86A2x_LOCKNG_INFO *locking_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Init_SIG_QUAL_INFO( MB86A2x_SIG_QUAL_INFO *sig_qual_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Save_CH_SCH_Result( MB86A2x_CH_SCH_INFO *ch_sch_info ) ;
*     MB86A22_API.c
*        -Following fucntions were added for more convenience.
*            -MB86A2x_ERR_MSG MB86A22_Get_DRV_Version( MB86A2x_VERSION_INFO *version_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Get_LSI_Version( MB86A2x_NIM_PARAM *nim_param, MB86A2x_VERSION_INFO *version_info ) ;
*        -Following fucntions were added to calculate monitor timers from timer period.
*            -MB86A2x_ERR_MSG MB86A22_Calc_VBER_NUM( MB86A2x_CH_SCH_INFO *ch_sch_info, UINT32 VBER_T_A, UINT32 VBER_T_B, UINT32 VBER_T_C,
*                                       UINT8 ch_num, MB86A2x_MON_TIM_PARAM *mon_tim_param ) ;
*            -MB86A2x_ERR_MSG MB86A22_Calc_SBER_NUM( MB86A2x_CH_SCH_INFO *ch_sch_info, UINT32 SBER_T_A, UINT32 SBER_T_B, UINT32 SBER_T_C,
*                                       UINT8 ch_num, MB86A2x_MON_TIM_PARAM *mon_tim_param ) ;
*            -MB86A2x_ERR_MSG MB86A22_Calc_PBER_NUM( MB86A2x_CH_SCH_INFO *ch_sch_info, UINT32 PBER_T_A, UINT32 PBER_T_B, UINT32 PBER_T_C,
*                                       UINT8 ch_num, MB86A2x_MON_TIM_PARAM *mon_tim_param ) ;
*            -MB86A2x_ERR_MSG MB86A22_Calc_MER_SYMBOL( MB86A2x_CH_SCH_INFO *ch_sch_info, UINT32 MER_T, UINT8 ch_num, MB86A2x_MON_TIM_PARAM *mon_tim_param ) ;
*            -MB86A2x_ERR_MSG MB86A22_Calc_CN_SYMBOL( MB86A2x_CH_SCH_INFO *ch_sch_info, UINT32 CN_T, UINT8 ch_num, MB86A2x_MON_TIM_PARAM *mon_tim_param ) ;
*            -UINT32 MB86A22_Calc_MER_Period( MB86A2x_CH_SCH_INFO *ch_sch_info, UINT8 ch_num, MB86A2x_MON_TIM_PARAM *mon_tim_param ) ;
*            -UINT32 MB86A22_Calc_CN_Period( MB86A2x_CH_SCH_INFO *ch_sch_info, UINT8 ch_num, MB86A2x_MON_TIM_PARAM *mon_tim_param ) ;
*            -REAL32 MB86A22_calc_symbol_length( UINT8 MODE, UINT8 GUARD ) ;
*            -REAL32 MB86A22_calc_carrier_num( UINT8 MODE ) ;
*            -REAL32 MB86A22_calc_symbol_bit( UINT8 modulation ) ;
*            -REAL32 MB86A22_calc_data_ratio( UINT8 guard ) ;
*            -REAL32 MB86A22_calc_TSP_num( UINT8 mode, UINT8 modulation, UINT8 code_rate ) ;
*        -Following parameters were added to support manual search.
*            -MB86A2x_ERR_MSG MB86A22_Store_Channel_Info( UINT32 ch, MB86A2x_TMCC_INFO *tmcc_info, MB86A2x_CH_SCH_INFO *ch_sch_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Load_CH_SCH_Result( UINT32 ch, MB86A2x_TMCC_INFO *tmcc_info, MB86A2x_CH_SCH_INFO *ch_sch_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Init_LOCKNG_INFO( MB86A2x_LOCKNG_INFO *locking_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Init_SIG_QUAL_INFO( MB86A2x_SIG_QUAL_INFO *sig_qual_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Save_CH_SCH_Result( MB86A2x_CH_SCH_INFO *ch_sch_info ) ;
*        -Following fucntion was changed to support manual search.
*            -MB86A2x_ERR_MSG MB86A22_Set_RECEP_SEG( MB86A2x_NIM_PARAM *nim_param, MB86A2x_SEG_PARAM *seg_param ) ;
*            -MB86A2x_ERR_MSG MB86A22_Get_SEQ_value( MB86A2x_NIM_PARAM *nim_param, MB86A2x_LOCKNG_INFO *locking_info ) ;
*        -Following function was changed to improve the multi-pathperformance
*            -MB86A2x_ERR_MSG MB86A22_Set_Opt_Param( MB86A2x_NIM_PARAM *nim_param, MB86A2x_TU_DEP_PARAM *tun_dep_param ) ;
*
* version 04
*     MB86A22_API.c
*        -Following function was changed to improve the capture range of timing recovery and the multi-path performance.
*            -MB86A2x_ERR_MSG MB86A22_Set_Opt_Param( MB86A2x_NIM_PARAM *nim_param, MB86A2x_TU_DEP_PARAM *tun_dep_param ) ;
*        -Following function was added to support to get estimated C/N from MER monitor in DQPSK reception.
*            -UINT32 MB86A2x_MERval_to_CN10_DQPSK( UINT32 mer_read_vale ) ;
*        -Following functions were changed to support to get estimated C/N from MER monitor in DQPSK reception
*            -MB86A2x_ERR_MSG MB86A22_Get_MER_A_Value( MB86A2x_NIM_PARAM *nim_param, MB86A2x_TMCC_INFO *tmcc_info, MB86A2x_SIG_QUAL_INFO *sig_qual_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Get_MER_B_Value( MB86A2x_NIM_PARAM *nim_param, MB86A2x_TMCC_INFO *tmcc_info, MB86A2x_SIG_QUAL_INFO *sig_qual_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Get_MER_C_Value( MB86A2x_NIM_PARAM *nim_param, MB86A2x_TMCC_INFO *tmcc_info, MB86A2x_SIG_QUAL_INFO *sig_qual_info ) ;
*     MB86A22_API.h
*        -Following function was added to support to get estimated C/N from MER monitor in DQPSK reception.
*            -UINT32 MB86A2x_MERval_to_CN10_DQPSK( UINT32 mer_read_vale ) ;
*
* version 05
*     MB86A22_API_defs.h
*        -Following enum was added for better usage.
*            -MB86A2x_RECEP_LAYER
*     MB86A22_API.c
*        -Following function was changed to improve the multi-path performance.
*            -MB86A2x_ERR_MSG MB86A22_Set_Opt_Param( MB86A2x_NIM_PARAM *nim_param, MB86A2x_TU_DEP_PARAM *tun_dep_param ) ;
*        -Following function was added to support faster locking time after channel serach.
*            -MB86A2x_ERR_MSG MB86A22_Set_ModeGuard_fixed( MB86A2x_PARAM *param, MB86A2x_CH_SCH_INFO *ch_sch_info, UINT8 ch_num ) ;
*            -MB86A2x_ERR_MSG MB86A22_Set_ModeGuard_all( MB86A2x_PARAM *param ) ;
*            -MB86A2x_ERR_MSG MB86A22_Get_STR_Register_Value( MB86A2x_NIM_PARAM *nim_param, MB86A2x_TMCC_INFO *tmcc_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Set_STR_OFS2( MB86A2x_NIM_PARAM *nim_param, MB86A2x_CH_SCH_INFO *ch_sch_info, UINT8 ch_num ) ;
*        -Following function was changed to support faster locking time after channel serach.
*            -MB86A2x_ERR_MSG MB86A22_Set_RECEP_SEG( MB86A2x_NIM_PARAM *nim_param, MB86A2x_SEG_PARAM *seg_param )
*            -MB86A2x_ERR_MSG MB86A22_Init_CH_SCH_Result( MB86A2x_CH_SCH_INFO *ch_sch_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Store_CH_SCH_Result( UINT32 ch, MB86A2x_TMCC_INFO *tmcc_info, MB86A2x_CH_SCH_INFO *ch_sch_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Save_CH_SCH_Result( MB86A2x_CH_SCH_INFO *ch_sch_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Load_CH_SCH_Result( MB86A2x_CH_SCH_INFO *ch_sch_info ) ;
*        -Following function was changed to accept Layer-A_modulation > Layer-B_modulation.
*            -MB86A2x_ERR_MSG MB86A22_Set_Init( MB86A2x_PARAM *param ) ;
*     MB86A22_API.h
*        -Following function was added to support faster locking time after channel serach.
*            -MB86A2x_ERR_MSG MB86A22_Set_ModeGuard_fixed( MB86A2x_PARAM *param, MB86A2x_CH_SCH_INFO *ch_sch_info, UINT8 ch_num ) ;
*            -MB86A2x_ERR_MSG MB86A22_Set_ModeGuard_all( MB86A2x_PARAM *param ) ;
*            -MB86A2x_ERR_MSG MB86A22_Get_STR_Register_Value( MB86A2x_NIM_PARAM *nim_param, MB86A2x_TMCC_INFO *tmcc_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Set_STR_OFS2( MB86A2x_NIM_PARAM *nim_param, MB86A2x_CH_SCH_INFO *ch_sch_info, UINT8 ch_num ) ;
*        -Following function was changed to support faster locking time after channel serach.
*            -MB86A2x_ERR_MSG MB86A22_Init_CH_SCH_Result( MB86A2x_CH_SCH_INFO *ch_sch_info ) ;
*     MB86A22_API_structs.h
*        -Following parameters were added to struct MB86A2x_TMCC_INFO for faster locking time after channel serach.
*            -UINT32 STR_current
*        -Following parameters were added to struct MB86A2x_CH_SCH_INFO for faster locking time after channel serach.
*            -UINT32 STR[70]
*
* version 06
*     MB86A22_API.c
*        -Following function was changed to improve the locking time when moduation was changed from off to on.
*            -MB86A2x_ERR_MSG MB86A22_Set_Opt_Param( MB86A2x_NIM_PARAM *nim_param, MB86A2x_TU_DEP_PARAM *tun_dep_param ) ;
*     MB86A22_API_defs.h
*        -Following enum was added for convenience.
*            -MB86A2x_RECEP_LAYER
*
* version 07
*     MB86A22_API.c
*        -Following function was changed to improve the multi-path performance.
*            -MB86A2x_ERR_MSG MB86A22_Set_Opt_Param( MB86A2x_NIM_PARAM *nim_param, MB86A2x_TU_DEP_PARAM *tun_dep_param ) ;
*
* version 08
*      MB86A22_API.c
*        -Following function was changed to improve the capture range in mode2.
*            -MB86A2x_ERR_MSG MB86A22_Set_Opt_Param( MB86A2x_NIM_PARAM *nim_param, MB86A2x_TU_DEP_PARAM *tun_dep_param ) ;
*        -Following function was added for convenience.
*            -MB86A2x_ERR_MSG MB86A22_Set_Channel_1( MB86A2x_PARAM *param, MB86A2x_VERSION_INFO *version_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Set_Channel_2( MB86A2x_PARAM *param, MB86A2x_VERSION_INFO *version_info ) ;
*       MB86A22_API.h
*        -Following function was added for convenience.
*            -MB86A2x_ERR_MSG MB86A22_Set_Channel_1( MB86A2x_PARAM *param, MB86A2x_VERSION_INFO *version_info ) ;
*            -MB86A2x_ERR_MSG MB86A22_Set_Channel_2( MB86A2x_PARAM *param, MB86A2x_VERSION_INFO *version_info ) ;
*
* version 09
*        -Following function was changed: the setting for multi-path performance improvement in version 07 was omitted
*            -MB86A2x_ERR_MSG MB86A22_Set_Opt_Param( MB86A2x_NIM_PARAM *nim_param, MB86A2x_TU_DEP_PARAM *tun_dep_param ) ;
*
* version 10
*     MB86A22_API.c
*        -Following function was changed to improve the multi-path performance.
*            -MB86A2x_ERR_MSG MB86A22_Set_Opt_Param( MB86A2x_NIM_PARAM *nim_param, MB86A2x_TU_DEP_PARAM *tun_dep_param ) ;
*            -MB86A2x_ERR_MSG MB86A22_Set_RECEP_SEG( MB86A2x_NIM_PARAM *nim_param, MB86A2x_SEG_PARAM *seg_param, MB86A2x_VERSION_INFO *version_info ) ;
* 
************************************************************************************/

#define MB86A2x_DRIVER_VERSION    0x01

