#include "MB86A22_API_defs.h"

//#if (MB86A22_TUNER_SUPPORT_TDA18212 > 0)
#ifdef TDA18212
#include "TDA182I2\tmNxTypes.h"
#include "TDA182I2\tmCompId.h"
#include "TDA182I2\tmFrontEnd.h"
#include "TDA182I2\tmbslFrontEndTypes.h"
#include "TDA182I2\tmsysFrontEndTypes.h"
#endif

typedef enum {
    I2C_OK = 1,
    I2C_NG = 0
} I2C_ACCCESS ;

UINT32 MB86A22_GetTickPeriod( void );
UINT32 MB86A22_GetTickTime( void );
UINT32 MB86A22_wait( SINT32 ) ;
UINT32 MB86A22_write( UINT8, UINT8, UINT8 ) ;
UINT32 MB86A22_read( UINT8, UINT8, UINT8 * ) ;
UINT32 MB86A22_tuner_write( UINT8, UINT8, UINT8 * ) ;
UINT32 MB86A22_tuner_read( UINT8 Tu_adr, UINT8 bytes , UINT8 *value );

//#if (MB86A22_TUNER_SUPPORT_TDA18211 > 0)
#ifdef TDA18211
SINT32 TDA182I1_write( UINT32 tuner_w_adr, UINT32 start_adr, UINT32 write_num, UINT32 *write_data ) ;
SINT32 TDA182I1_read( UINT32 tuner_r_adr, UINT32 start_adr, UINT32 read_num, UINT32 *read_data ) ;
#endif

SINT32 MB86A22_silicon_tuner_write_in_bytes(UINT32 tuner_w_adr, UINT32 start_adr, UINT32 write_num, UINT8*  write_data);
SINT32 MB86A22_silicon_tuner_write_in_dword(UINT32 tuner_w_adr, UINT32 start_adr, UINT32 write_num, UINT32* write_data);
SINT32 MB86A22_silicon_tuner_read_in_bytes (UINT32 tuner_r_adr, UINT32 start_adr, UINT32 read_num,  UINT8*  read_data );
SINT32 MB86A22_silicon_tuner_read_in_dword (UINT32 tuner_r_adr, UINT32 start_adr, UINT32 read_num,  UINT32* read_data );

//#if (MB86A22_TUNER_SUPPORT_TDA18212 > 0)
#ifdef TDA18212
tmErrorCode_t   TDA182I2_read(tmUnitSelect_t tUnit,UInt32 AddrSize, UInt8* pAddr,UInt32 ReadLen, UInt8* pData);
tmErrorCode_t   TDA182I2_write (tmUnitSelect_t tUnit, UInt32 AddrSize, UInt8* pAddr,UInt32 WriteLen, UInt8* pData);
tmErrorCode_t   TDA182I2_wait(tmUnitSelect_t tUnit, UInt32 tms);
tmErrorCode_t   TDA182I2_mutexInit(ptmbslFrontEndMutexHandle *ppMutexHandle);
tmErrorCode_t   TDA182I2_mutexDeinit( ptmbslFrontEndMutexHandle pMutex);
tmErrorCode_t   TDA182I2_mutexAcquire(ptmbslFrontEndMutexHandle pMutex, UInt32 timeOut);
tmErrorCode_t   TDA182I2_mutexRelease(ptmbslFrontEndMutexHandle pMutex);
tmErrorCode_t   TDA182I2_Print(UInt32 level, const char* format, ...);
#endif
