/*!
*****************************************************************************
**
** \file        ./subsystems/fs/fatfs/include/atadrv.h
**
** \version     $Id: atadrv.h 3245 2009-04-17 12:54:43Z rseng $
**
** \brief       FATFS driver API for ATA devices.
**
** This file contains the declaration of the FATFS driver API for ATA devices.
**
** \attention   THIS SAMPLE CODE IS PROVATAD AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2006-2009 by Fujitsu Semiconductor Europe GmbH
**
*****************************************************************************
*/

#ifndef FATFS_ATADRV_H
    #define FATFS_ATADRV_H

    #include <stdio.h>
    #include <fapi/drv_ata.h>
    #include <fatfs/fatfs.h>

    //***********************************************************************
    //***********************************************************************
    //** Defines and Macros
    //***********************************************************************
    //***********************************************************************

    #define  ATADRV_BLOCK_SIZE  FAPI_ATA_SECTOR_BYTES

    //***********************************************************************
    //***********************************************************************
    //** Data types
    //***********************************************************************
    //***********************************************************************

    //***********************************************************************
    //***********************************************************************
    //** API Functions
    //***********************************************************************
    //***********************************************************************

    #ifdef __cplusplus
    extern "C" {
    #endif
        F_DRIVER* ATADRV_Init( unsigned long masterFlag );
    #ifdef __cplusplus
    }
    #endif

#endif /* FATFS_ATADRV_H */
