/*!
*****************************************************************************
**
** \file        ./subsystems/fs/fatfs/include/usbdrv.h
** 
** \version     $Id: usbdrv.h 1911 2009-02-02 10:17:47Z wlaris $
**
** \brief       FATFS driver API for USB mass storage devices.
**
** This file contains the declaration of the FATFS driver API for USB devices.
**
** \attention   THIS SAMPLE CODE IS PROVUSBD AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2006-2009 by Fujitsu Semiconductor Europe GmbH
**
*****************************************************************************
*/

#ifndef FATFS_USBDRV_H
    #define FATFS_USBDRV_H

    #include <stdio.h>
    #include <fatfs/fatfs.h>

    //***********************************************************************
    //***********************************************************************
    //** Defines and Macros
    //***********************************************************************
    //***********************************************************************

    //***********************************************************************
    //***********************************************************************
    //** Data types
    //***********************************************************************
    //***********************************************************************

    //***********************************************************************
    //***********************************************************************
    //** API Functions
    //***********************************************************************
    //***********************************************************************

    #ifdef __cplusplus
    extern "C" {
    #endif
        F_DRIVER* USBDRV_Init( unsigned long volumeParamsAddr );
    #ifdef __cplusplus
    }
    #endif

#endif /* FATFS_USBDRV_H */
