#!/bin/sh

CP='/bin/cp -p'
LN=/bin/ln
CD=cd
MV=mv

PWD=/bin/pwd

TOPDIR=`${PWD}`
INCDIR=${TOPDIR}/include
LIBDIR=${TOPDIR}/lib

${CP} ${TOPDIR}/Makefile_Linux ${TOPDIR}/Makefile
${CP} ${TOPDIR}/audio/Makefile_Linux ${TOPDIR}/audio/Makefile
${CP} ${TOPDIR}/audio/aal/Makefile_Linux ${TOPDIR}/audio/aal/Makefile
${CP} ${TOPDIR}/closedCaption/Makefile_Linux ${TOPDIR}/closedCaption/Makefile
${CP} ${TOPDIR}/compression/Makefile_Linux ${TOPDIR}/compression/Makefile
${CP} ${TOPDIR}/compression/libz/Makefile_Linux ${TOPDIR}/compression/libz/Makefile
${CP} ${TOPDIR}/fe/Makefile_Linux ${TOPDIR}/fe/Makefile
${CP} ${TOPDIR}/fs/Makefile_Linux ${TOPDIR}/fs/Makefile
${CP} ${TOPDIR}/fs/flashfs/Makefile_Linux ${TOPDIR}/fs/flashfs/Makefile
${CP} ${TOPDIR}/paint/Makefile_Linux ${TOPDIR}/paint/Makefile
${CP} ${TOPDIR}/paint/draw/Makefile_Linux ${TOPDIR}/paint/draw/Makefile
${CP} ${TOPDIR}/paint/freetype2/Makefile_Linux ${TOPDIR}/paint/freetype2/Makefile
${CP} ${TOPDIR}/paint/fontserver/Makefile_Linux ${TOPDIR}/paint/fontserver/Makefile
${CP} ${TOPDIR}/paint/fontserver/engines/Makefile_Linux ${TOPDIR}/paint/fontserver/engines/Makefile
${CP} ${TOPDIR}/paint/fontserver/engines/fbf/Makefile_Linux ${TOPDIR}/paint/fontserver/engines/fbf/Makefile
${CP} ${TOPDIR}/paint/fontserver/engines/freetype/Makefile_Linux ${TOPDIR}/paint/fontserver/engines/freetype/Makefile
${CP} ${TOPDIR}/paint/osdhandler/Makefile_Linux ${TOPDIR}/paint/osdhandler/Makefile
${CP} ${TOPDIR}/paint/jpeg/Makefile_Linux ${TOPDIR}/paint/jpeg/Makefile
${CP} ${TOPDIR}/paint/picture/Makefile_Linux ${TOPDIR}/paint/picture/Makefile
${CP} ${TOPDIR}/paint/picture/codecs/Makefile_Linux ${TOPDIR}/paint/picture/codecs/Makefile
${CP} ${TOPDIR}/paint/picture/codecs/bmp/Makefile_Linux ${TOPDIR}/paint/picture/codecs/bmp/Makefile
${CP} ${TOPDIR}/paint/picture/codecs/jpeg/Makefile_Linux ${TOPDIR}/paint/picture/codecs/jpeg/Makefile
${CP} ${TOPDIR}/paint/picture/codecs/jpeg/ijg/Makefile_Linux ${TOPDIR}/paint/picture/codecs/jpeg/ijg/Makefile
${CP} ${TOPDIR}/paint/picture/codecs/png/Makefile_Linux ${TOPDIR}/paint/picture/codecs/png/Makefile
${CP} ${TOPDIR}/paint/picture/codecs/png/libpng/Makefile_Linux ${TOPDIR}/paint/picture/codecs/png/libpng/Makefile
${CP} ${TOPDIR}/pvr/Makefile_Linux ${TOPDIR}/pvr/Makefile
${CP} ${TOPDIR}/sfal/Makefile_Linux ${TOPDIR}/sfal/Makefile
${CP} ${TOPDIR}/video/Makefile_Linux ${TOPDIR}/video/Makefile
${CP} ${TOPDIR}/video/val/Makefile_Linux ${TOPDIR}/video/val/Makefile
${CP} ${TOPDIR}/voc/Makefile_Linux ${TOPDIR}/voc/Makefile

${LN} -s ../../audio/aal/src/aal.h           ${INCDIR}/aal/.
${LN} -s ../../closedCaption/src/cc.h        ${INCDIR}/cc/.
${LN} -s ../../compression/libz/src/zlib.h   ${INCDIR}/compression/.
${LN} -s ../../compression/libz/src/zconf.h  ${INCDIR}/compression/.
${LN} -s ../../fe/src/fe.h                   ${INCDIR}/fe/.
${LN} -s ../../fe/src/fe_priv.h              ${INCDIR}/fe/.
${LN} -s ../../fs/fatfs/include/api_f.h      ${INCDIR}/fatfs/.
${LN} -s ../../fs/fatfs/include/atadrv.h     ${INCDIR}/fatfs/.
${LN} -s ../../fs/fatfs/include/cutcluster.h ${INCDIR}/fatfs/.
${LN} -s ../../fs/fatfs/include/fatfs.h      ${INCDIR}/fatfs/.
${LN} -s ../../fs/fatfs/include/flashdrv.h   ${INCDIR}/fatfs/.
${LN} -s ../../fs/fatfs/include/fwerr.h      ${INCDIR}/fatfs/.
${LN} -s ../../fs/fatfs/include/mmcsddrv.h   ${INCDIR}/fatfs/.
${LN} -s ../../fs/fatfs/include/usbdrv.h     ${INCDIR}/fatfs/.
${LN} -s ../../fs/flashfs/src/flashfs.h      ${INCDIR}/flashfs/.
${LN} -s ../../paint/draw/src/draw.h         ${INCDIR}/draw/.
${LN} -s ../../paint/fbf/src/fbf_zwo_bold.h  ${INCDIR}/fbf/.
${LN} -s ../../paint/fontserver/src/fontserver.h                            ${INCDIR}/fontserver/.
${LN} -s ../../paint/fontserver/src/fontserver_engine.h                     ${INCDIR}/fontserver/.
${LN} -s ../../paint/fontserver/src/fontserver_shared.h                     ${INCDIR}/fontserver/.
${LN} -s ../../paint/fontserver/engines/fbf/src/fontserver_engine_fbf.h     ${INCDIR}/fontserver/.
${LN} -s ../../paint/fontserver/engines/freetype/src/fontserver_engine_ft.h ${INCDIR}/fontserver/.
${LN} -s ../paint/freetype2/include/freetype        ${INCDIR}/freetype
${LN} -s ../ft2build.h                              ${INCDIR}/freetype/ft2build.h
${LN} -s ../../paint/osdhandler/src/osdhandler.h    ${INCDIR}/osdhandler/.
${LN} -s ../../paint/osdhandler/src/osdhandler_fb.h ${INCDIR}/osdhandler/.
${LN} -s ../../paint/ftf/src/ftf.h           ${INCDIR}/ftf/.
${LN} -s ../../paint/jpeg/src/jdct.h         ${INCDIR}/jpeg/.
${LN} -s ../../paint/jpeg/src/jdhuff.h       ${INCDIR}/jpeg/.
${LN} -s ../../paint/jpeg/src/jinclude.h     ${INCDIR}/jpeg/.
${LN} -s ../../paint/jpeg/src/jmemsys.h      ${INCDIR}/jpeg/.
${LN} -s ../../paint/jpeg/include/jmorecfg.h ${INCDIR}/jpeg/.
${LN} -s ../../paint/jpeg/include/JPEG_api.h ${INCDIR}/jpeg/.
${LN} -s ../../paint/jpeg/include/jpegint.h  ${INCDIR}/jpeg/.
${LN} -s ../../paint/jpeg/include/jpeglib.h  ${INCDIR}/jpeg/.
${LN} -s ../../paint/picture/src/picdec.h    ${INCDIR}/picture/.
${LN} -s ../../paint/picture/src/picdec_interface.h             ${INCDIR}/picture/.
${LN} -s ../../paint/picture/src/picscaler.h                    ${INCDIR}/picture/.
${LN} -s ../../../paint/picture/codecs/png/libpng/src/png.h     ${INCDIR}/picture/png/.
${LN} -s ../../../paint/picture/codecs/png/libpng/src/pngconf.h ${INCDIR}/picture/png/.
${LN} -s ../../pvr/src/pvr.h                         ${INCDIR}/pvr/.
${LN} -s ../../pvr/src/pvr_play.h                    ${INCDIR}/pvr/.
${LN} -s ../../pvr/src/pvr_record.h                  ${INCDIR}/pvr/.
${LN} -s ../../sfal/src/sfal.h                       ${INCDIR}/sfal/.
${LN} -s ../../subtitle/include/DsubDisplayDriver.h  ${INCDIR}/subtitle/.
${LN} -s ../../subtitle/include/DsubStddef.h         ${INCDIR}/subtitle/.
${LN} -s ../../subtitle/include/DsubTClut.h          ${INCDIR}/subtitle/.
${LN} -s ../../subtitle/include/DsubTDecoder.h       ${INCDIR}/subtitle/.
${LN} -s ../../subtitle/include/DsubTDecoderTypes.h  ${INCDIR}/subtitle/.
${LN} -s ../../subtitle/include/DsubTDisplayDriver.h ${INCDIR}/subtitle/.
${LN} -s ../../teletext/include/TT_Aci.h             ${INCDIR}/teletext/.
${LN} -s ../../teletext/include/TT_AciDecoder.h      ${INCDIR}/teletext/.
${LN} -s ../../teletext/include/TT_ACQ.h             ${INCDIR}/teletext/.
${LN} -s ../../teletext/include/TT_Charset.h         ${INCDIR}/teletext/.
${LN} -s ../../teletext/include/TT_Core.h            ${INCDIR}/teletext/.
${LN} -s ../../teletext/include/TT_Database.h        ${INCDIR}/teletext/.
${LN} -s ../../teletext/include/TT_Decoder.h         ${INCDIR}/teletext/.
${LN} -s ../../teletext/include/TT_Display.h         ${INCDIR}/teletext/.
${LN} -s ../../teletext/include/TT_DriverDisplay.h   ${INCDIR}/teletext/.
${LN} -s ../../teletext/include/TT_DriverFont.h      ${INCDIR}/teletext/.
${LN} -s ../../teletext/include/TT_DriverTime.h      ${INCDIR}/teletext/.
${LN} -s ../../teletext/include/TT_Global.h          ${INCDIR}/teletext/.
${LN} -s ../../teletext/include/TT_Key.h             ${INCDIR}/teletext/.
${LN} -s ../../teletext/include/TT_PacketBuffer.h    ${INCDIR}/teletext/.
${LN} -s ../../teletext/include/TT_Queue.h           ${INCDIR}/teletext/.
${LN} -s ../../teletext/include/TT_Stdinc.h          ${INCDIR}/teletext/.
${LN} -s ../../teletext/include/TT_TOP.h             ${INCDIR}/teletext/.
${LN} -s ../../video/val/src/val.h                   ${INCDIR}/val/.
${LN} -s ../../voc/src/voc.h                         ${INCDIR}/voc/.

if [ -f "${TOPDIR}/paint/fbf/libfbf.so" ]; then
${MV} ${TOPDIR}/paint/fbf/libfbf.so     ${TOPDIR}/paint/fbf/libfbf.so.0.1
fi
if [ -f "${TOPDIR}/paint/ftf/libftf.so" ]; then
${MV} ${TOPDIR}/paint/ftf/libftf.so     ${TOPDIR}/paint/ftf/libftf.so.0.1
fi
if [ -f "${TOPDIR}/subtitle/libsubtitle.so" ]; then
${MV} ${TOPDIR}/subtitle/libsubtitle.so ${TOPDIR}/subtitle/libsubtitle.so.0.1
fi
if [ -f "${TOPDIR}/teletext/libteletext.so" ]; then
${MV} ${TOPDIR}/teletext/libteletext.so ${TOPDIR}/teletext/libteletext.so.0.1
fi
${LN} -s ../paint/fbf/libfbf.a          ${LIBDIR}/.
${LN} -s ../paint/fbf/libfbf.so.0.1     ${LIBDIR}/libfbf.so
${LN} -s ../paint/ftf/libftf.a          ${LIBDIR}/.
${LN} -s ../paint/ftf/libftf.so.0.1     ${LIBDIR}/libftf.so
${LN} -s ../subtitle/libsubtitle.a      ${LIBDIR}/.
${LN} -s ../subtitle/libsubtitle.so.0.1 ${LIBDIR}/libsubtitle.so
${LN} -s ../teletext/libteletext.a      ${LIBDIR}/.
${LN} -s ../teletext/libteletext.so.0.1 ${LIBDIR}/libteletext.so
${LN} -s ../fe/dsf89000/libdsf89000.a   ${LIBDIR}/.
