/*!
*****************************************************************************
**
** \file        ./subsystems/paint/fontserver/engines/freetype/src/fontserver_engine_ft.h
**
** \version     $Id: fontserver_engine_ft.h 5280 2011-02-21 16:39:28Z wlaris $
**
** \brief       Declarations for the freetype engine interface.
**
**              This file contains the declaration of the freetype engine API.
**
** \attention   THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2007 - 2009 by Fujitsu Microelectronics Europe GmbH
** (C) Copyright 2010-2011 by Fujitsu Semiconductor Europe GmbH
**
*****************************************************************************
*/

#ifndef FONTSERVER_ENGINE_FT_H
    #define FONTSERVER_ENGINE_FT_H

    #include <stdint.h>
    #include <fapex/abst_error.h>
    #include <fontserver/fontserver_engine.h>

    //***********************************************************************
    //***********************************************************************
    //** Defines and Macros
    //***********************************************************************
    //***********************************************************************


    //***********************************************************************
    //***********************************************************************
    //** Data types
    //***********************************************************************
    //***********************************************************************


    //***********************************************************************
    //***********************************************************************
    //** Global Data
    //***********************************************************************
    //***********************************************************************

    /*! \brief  Points to the interface of the actual instance of the
    **          freetype font engine.
    */
    extern const FONTSERVER_EngineT* FONTSERVER_ENGINE_FT_INTERFACE_PTR;

    //***********************************************************************
    //***********************************************************************
    //** API Functions
    //***********************************************************************
    //***********************************************************************
    #ifdef __cplusplus
    extern "C" {
    #endif

        // additional API functions here

    #ifdef __cplusplus
    }
    #endif
#endif
