/*
 * jcomapi.c
 *
 * Copyright (C) 1994-1997, Thomas G. Lane.
 * This file is part of the Independent JPEG Group's software.
 * For conditions of distribution and use, see the accompanying README file.
 *
 * This file contains application interface routines that are used for both
 * compression and decompression.
 */

#define JPEG_INTERNALS
#include "jinclude.h"
#include <jpeg/jpeglib.h>


/*
 * Convenience routines for allocating quantization and Huffman tables.
 * (Would jutils.c be a more reasonable place to put these?)
 */

JQUANT_TBL * jpeg_alloc_quant_table (j_decompress_ptr cinfo)
{
  JQUANT_TBL *tbl;

  tbl= (JQUANT_TBL *)(*cinfo->mem->alloc_small) (cinfo, JPOOL_PERMANENT, SIZEOF(JQUANT_TBL));
  return tbl;
}


JHUFF_TBL * jpeg_alloc_huff_table (j_decompress_ptr cinfo)
{
  JHUFF_TBL *tbl;

  tbl= (JHUFF_TBL *)(*cinfo->mem->alloc_small) (cinfo, JPOOL_PERMANENT, SIZEOF(JHUFF_TBL));
  return tbl;
}
