/***********************************************************************
 * MODULE     : TT_DriverFont
 * FILE       : TT_DriverFont.h
 * COPYRIGHT  : TARA Systems GmbH
 * DESCRIPTION:
 *   Teletext font interface
 ***********************************************************************/

#ifndef TT_DRIVERFONT_H
#define TT_DRIVERFONT_H


/***********************************************************************
 * SECTION: #include
 ***********************************************************************/

#include "teletext/TT_Stdinc.h"

/***********************************************************************
 * SECTION: #define
 ***********************************************************************/
/* 
max character width and height in pixels 
*/
#define TT_FONT_MAX_CHAR_WIDTH           36 //48
#define TT_FONT_MAX_CHAR_HEIGHT          38 //40


/***********************************************************************
 * SECTION: typedef
 ***********************************************************************/

/***********************************************************************
 * TYPE: TT_FONT_STRUCT
 *
 * DESCRIPTION:
 *   A Teletext font
 ***********************************************************************/
typedef struct
{
  U_INT16        Width;
  U_INT16        Height;
  U_INT16        CharSize;
  TT_BOOL        Interlaced;
  ROM U_INT8*    HorizontalScale;
  ROM U_INT8*    VerticalScale;
  ROM U_INT8**   Table;

} TT_FONT_STRUCT;

typedef ROM TT_FONT_STRUCT * TT_FONT;

extern ROM TT_FONT_STRUCT TeletextFont12x10;
extern ROM TT_FONT_STRUCT TeletextFont24x26;
extern ROM TT_FONT_STRUCT TeletextFont36x19;
extern ROM TT_FONT_STRUCT TeletextFont36x38;
extern ROM TT_FONT_STRUCT TeletextFont48x40;

#ifdef __cplusplus
  extern "C" {
#endif




#ifdef __cplusplus
  }
#endif

#endif /* TT_DRIVERFONT_H */

/* This Headerfile was generated with C2H.pl ( C2H ) V 1.28 */
/* (c) 2003 by TARA-Systems GmbH Munich */
