#include <stdio.h>
#include <sys/mount.h>

#include <fapex/abst_types.h>
#include <fapex/abst_lib.h>
#include <linux/fs.h>

int main(int argc, char*argv[])
{
    FAPEX_SYS_FFILE *filePtr;
    uint8_t data[100];
    uint32_t result;
    struct stat buf;
    DIR *dir;
    struct dirent *s_dir;

    printf("usb disk mount .\n");
#if 0    
    result=execlp("mount","mount","/dev/sda1","/mnt/usb",(char*)0);
    printf("usb disk mount 1 ret = %d.\n",result);

    result=execlp("ls","ls","-al","/mnt/usb",(char*)0);    
    printf("usb disk mount 2 ret = %d.\n",result);
    
    filePtr=FAPEX_SYS_FOpen("/mnt/usb/Makefile","rb");
    if(filePtr==NULL)
    {
        printf("open file error.\n");
    }
        
    result = FAPEX_SYS_FRead(data,sizeof(uint8_t),100,filePtr);
    if(result <= 0)
    {
        printf("Read error.\n");
        return -1;
    }
    else
    {
        printf("%s",data);
    }
    
    result=execlp("umount","umount","/mnt/usb",(char*)0);
    printf("usb disk mount 4 ret = %d.\n",result);
#endif
    
    result=mount("/dev/sda1","/mnt/usb","vfat",MS_RDONLY,NULL);
    printf("mount, ret=%d .\n",result);
    
    result = lstat("/mnt/usb",&buf);
    printf("lstat, ret=%d .\n",result);
    printf("Device:%d,%d\n",major(buf.st_dev),minor(buf.st_dev));
    printf("INode:%d\n",(int) buf.st_ino);
    printf("LinkNo:%d\n",buf.st_nlink);
    if(S_ISDIR(buf.st_mode))
    {
        printf("This is a dir.\n");
    }

    dir=opendir("/mnt/usb");
    while((s_dir=readdir(dir))!=NULL)
    {
        printf("d_name : %s\n",s_dir->d_name);
    }
    closedir(dir);

    
    filePtr=FAPEX_SYS_FOpen("/mnt/usb/Makefile","rb");
    if(filePtr==NULL)
    {
        printf("open file error.\n");
    }
        
    result = FAPEX_SYS_FRead(data,sizeof(uint8_t),100,filePtr);
    if(result <= 0)
    {
        printf("Read error.\n");
        return -1;
    }
    else
    {
        printf("%s\n",data);
    }
    FAPEX_SYS_FClose(filePtr);
    umount("/mnt/usb");
    
    return 0;    

}
