#!/bin/sh

CP='/bin/cp -p'
LN=/bin/ln
CD=cd
LS='ls -l'

MAJVER=0
MINOR=1

TOPDIR=.
OPT=-f

if [ $# -eq 1 ]; then
	${CP} ${OPT} ${TOPDIR}/../abst_lib/libfapex_abst.so.${MAJVER}.${MINOR}                                                  $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/audio/aal/libaal.so.${MAJVER}.${MINOR}                                          $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/closedCaption/libcc.so.${MAJVER}.${MINOR}                                       $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/compression/libz/libz.so.${MAJVER}.${MINOR}                                     $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/fe/libfe.so.${MAJVER}.${MINOR}                                                  $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/fs/flashfs/libflashfs.so.${MAJVER}.${MINOR}                                     $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/picture/codecs/bmp/libdecbmp.so.${MAJVER}.${MINOR}                        $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/draw/libdraw.so.${MAJVER}.${MINOR}                                        $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/fbf/libfbf.so.${MAJVER}.${MINOR}                                          $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/fontserver/libfontserver.so.${MAJVER}.${MINOR}                            $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/fontserver/engines/fbf/libfontserver_engine_fbf.so.${MAJVER}.${MINOR}     $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/fontserver/engines/freetype/libfontserver_engine_ft.so.${MAJVER}.${MINOR} $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/freetype2/libfreetype2.so.${MAJVER}.${MINOR}                              $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/ftf/libftf.so.${MAJVER}.${MINOR}                                          $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/jpeg/libjpeg.so.${MAJVER}.${MINOR}                                        $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/osdhandler/libosdhandler.so.${MAJVER}.${MINOR}                            $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/picture/libpicture.so.${MAJVER}.${MINOR}                                  $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/picture/codecs/png/libpng.so.${MAJVER}.${MINOR}                           $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/picture/codecs/png/libpng/liblibpng.so.${MAJVER}.${MINOR}                 $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/pvr/libpvr.so.${MAJVER}.${MINOR}                                                $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/sfal/libsfal.so.${MAJVER}.${MINOR}                                              $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/teletext/libteletext.so.${MAJVER}.${MINOR}                                      $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/video/val/libval.so.${MAJVER}.${MINOR}                                          $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/voc/libvoc.so.${MAJVER}.${MINOR}                                                $1

#	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/lib/*.so       $1
	${CD} $1

# set link
	${LN} -s ${OPT} libfapex_abst.so.${MAJVER}.${MINOR}            libfapex_abst.so.${MAJVER}
	${LN} -s ${OPT} libfapex_abst.so.${MAJVER}.${MINOR}            libfapex_abst.so
	${LN} -s ${OPT} libaal.so.${MAJVER}.${MINOR}                   libaal.so.${MAJVER}
	${LN} -s ${OPT} libaal.so.${MAJVER}.${MINOR}                   libaal.so
	${LN} -s ${OPT} libcc.so.${MAJVER}.${MINOR}                    libcc.so.${MAJVER}
	${LN} -s ${OPT} libcc.so.${MAJVER}.${MINOR}                    libcc.so
	${LN} -s ${OPT} libdecbmp.so.${MAJVER}.${MINOR}                libdecbmp.so.${MAJVER}
	${LN} -s ${OPT} libdecbmp.so.${MAJVER}.${MINOR}                libdecbmp.so
	${LN} -s ${OPT} libdraw.so.${MAJVER}.${MINOR}                  libdraw.so.${MAJVER}
	${LN} -s ${OPT} libdraw.so.${MAJVER}.${MINOR}                  libdraw.so
	${LN} -s ${OPT} libfbf.so.${MAJVER}.${MINOR}                   libfbf.so.${MAJVER}
	${LN} -s ${OPT} libfbf.so.${MAJVER}.${MINOR}                   libfbf.so
	${LN} -s ${OPT} libfe.so.${MAJVER}.${MINOR}                    libfe.so.${MAJVER}
	${LN} -s ${OPT} libfe.so.${MAJVER}.${MINOR}                    libfe.so
	${LN} -s ${OPT} libflashfs.so.${MAJVER}.${MINOR}               libflashfs.so.${MAJVER}
	${LN} -s ${OPT} libflashfs.so.${MAJVER}.${MINOR}               libflashfs.so
	${LN} -s ${OPT} libfontserver.so.${MAJVER}.${MINOR}            libfontserver.so.${MAJVER}
	${LN} -s ${OPT} libfontserver.so.${MAJVER}.${MINOR}            libfontserver.so
	${LN} -s ${OPT} libfontserver_engine_fbf.so.${MAJVER}.${MINOR} libfontserver_engine_fbf.so.${MAJVER}
	${LN} -s ${OPT} libfontserver_engine_fbf.so.${MAJVER}.${MINOR} libfontserver_engine_fbf.so
	${LN} -s ${OPT} libfontserver_engine_ft.so.${MAJVER}.${MINOR}  libfontserver_engine_ft.so.${MAJVER}
	${LN} -s ${OPT} libfontserver_engine_ft.so.${MAJVER}.${MINOR}  libfontserver_engine_ft.so
	${LN} -s ${OPT} libfreetype2.so.${MAJVER}.${MINOR}             libfreetype2.so.${MAJVER}
	${LN} -s ${OPT} libfreetype2.so.${MAJVER}.${MINOR}             libfreetype2.so
	${LN} -s ${OPT} libftf.so.${MAJVER}.${MINOR}                   libftf.so.${MAJVER}
	${LN} -s ${OPT} libftf.so.${MAJVER}.${MINOR}                   libftf.so
	${LN} -s ${OPT} libjpeg.so.${MAJVER}.${MINOR}                  libjpeg.so.${MAJVER}
	${LN} -s ${OPT} libjpeg.so.${MAJVER}.${MINOR}                  libjpeg.so
	${LN} -s ${OPT} liblibpng.so.${MAJVER}.${MINOR}                liblibpng.so.${MAJVER}
	${LN} -s ${OPT} liblibpng.so.${MAJVER}.${MINOR}                liblibpng.so
	${LN} -s ${OPT} libosdhandler.so.${MAJVER}.${MINOR}            libosdhandler.so.${MAJVER}
	${LN} -s ${OPT} libosdhandler.so.${MAJVER}.${MINOR}            libosdhandler.so
	${LN} -s ${OPT} libpicture.so.${MAJVER}.${MINOR}               libpicture.so.${MAJVER}
	${LN} -s ${OPT} libpicture.so.${MAJVER}.${MINOR}               libpicture.so
	${LN} -s ${OPT} libpng.so.${MAJVER}.${MINOR}                   libpng.so.${MAJVER}
	${LN} -s ${OPT} libpng.so.${MAJVER}.${MINOR}                   libpng.so
	${LN} -s ${OPT} libpvr.so.${MAJVER}.${MINOR}                   libpvr.so.${MAJVER}
	${LN} -s ${OPT} libpvr.so.${MAJVER}.${MINOR}                   libpvr.so
	${LN} -s ${OPT} libsfal.so.${MAJVER}.${MINOR}                  libsfal.so.${MAJVER}
	${LN} -s ${OPT} libsfal.so.${MAJVER}.${MINOR}                  libsfal.so
	${LN} -s ${OPT} libteletext.so.${MAJVER}.${MINOR}              libteletext.so.${MAJVER}
	${LN} -s ${OPT} libteletext.so.${MAJVER}.${MINOR}              libteletext.so
	${LN} -s ${OPT} libval.so.${MAJVER}.${MINOR}                   libval.so.${MAJVER}
	${LN} -s ${OPT} libval.so.${MAJVER}.${MINOR}                   libval.so
	${LN} -s ${OPT} libvoc.so.${MAJVER}.${MINOR}                   libvoc.so.${MAJVER}
	${LN} -s ${OPT} libvoc.so.${MAJVER}.${MINOR}                   libvoc.so
	${LN} -s ${OPT} libz.so.${MAJVER}.${MINOR}                     libz.so.${MAJVER}
	${LN} -s ${OPT} libz.so.${MAJVER}.${MINOR}                     libz.so
	${LS} libfapex_abst.* libaal.* libcc.* libdecbmp.* libdraw.* libfbf.* libfe.* libflashfs.* \
	libfontserver* libfreetype2.* libftf.* libjpeg.* liblibpng.* libosdhandler.* libpicture.* libpng.* \
	libpvr.* libsfal.* libteletext.* libval.* libvoc.* libz.*
else
	echo "esage : $0 <directory_name>"
	echo ""
fi

